---
images:
  - /images/uploads/shapka3-1.jpg
title: Зачем системным администраторам Linux нужны навыки программирования
slug: зачем-системным-администраторам-linux-ну
date: 2019-04-07T00:00:00+03:00
categories:
  - Linux
draft: false
---

![](/images/uploads/shapka3-1.jpg)

Говоря простым языком, главной задачей системного администрирования является управление системами аппаратного и программного
обеспечения. Некоторые из основных задач, выполняемых системным администратором, включают в себя: добавление и удаление
оборудования; установку операционных систем; создание, управление и удаление пользователей и групп; установку, обновление
и удаление программного обеспечения; резервное копирование и мониторинг системы.

Системный администратор также отвечает за устранение неполадок, документацию и защиту системы. С другой стороны,
программирование связано с написанием скриптов и разработкой программного обеспечения.

Требуются ли системному администратору Linux навыки программирования? В этой статье мы постараемся развёрнуто ответить
на данный вопрос. Мы также объясним, почему изучение концепций программирования имеет важное значение для системного
администрирования Linux.

Эта статья специально подготовлена для пользователей Linux, стремящихся стать профессиональными сисадминами.

Из личного опыта, с тех пор, как я начал изучать и использовать операционные системы Linux (опираясь на опыт работы с
Windows), я всегда считал, что Linux дает больше контроля над компьютерной системой по сравнению с другими операционными
системами.

Более того, это наиболее подходящая среда для обучения программированию (к сожалению, мы не будем вдаваться в детали
почему она таковой является).

Строго говоря, основной целью программирования является создание решений для прикладных задач. С этой точки зрения,
мы должны понимать, что знание основ программирования может помочь сисадминам находить надежные и эффективные решения
для задач администрирования.

Для автоматизации рутинных задач администрирования профессиональные сисадмины уделяют уйму времени на написание скриптов,
которые в свою очередь являются основой (ИЛИ одним из столпов) администрирования. Подавляющее большинство задач на Linux
требуют владения хотя бы одним сценарным языком (иногда даже двумя и более языками), а их написание сродни программированию.

Существует несколько сценарных языков для Linux, самые популярные из которых — это Bash, Perl и Python (хотя многие
сисадмины предпочитают Python, нежели Perl). Все они уже изначально установлены в операционных системах Linux. Другой
вариант — Ruby, но используется он редко.

Одной из чрезвычайно важных программ в Linux является shell (например, bash). Это не только интерпретатор команд, но и
полноценный язык программирования (с условными операторами, циклами и функциями).

С его помощью вы можете создавать новые утилиты/инструменты различной сложности, от простых скриптов из нескольких
строк команд для извлечения определенной информации из системы, выполнения резервного копирования, обновления
программного обеспечения/системы до крупномасштабных проектов для управления конфигурациями системы, службами, данными
для всего сайта; аудита и сканирования безопасности и многого другого.

Таким образом, сисадмины освобождаются от административных обязанностей и успевают выполнять более важные задачи. Именно
поэтому написание shell-скриптов является фундаментальной частью среды программирования Linux.

Случается, что сисадминам приходится сталкиваться с задачами отладки, выполнение которых требует определённых знаний программирования.

К тому же, навыки программирования позволяют гораздо быстрее решать различные задачи и проблемы (устранение неполадок в
Linux, мониторинг и диагностика неисправностей). Более того, программирование развивает аналитические способности, которые
являются необходимыми в современных IT-сферах.

## Заключение

Безусловно, сисадминам Linux нужны некоторые знания программирования, в основном, для написания скриптов, которые
автоматизируют выполнение задач администрирования. Необязательно быть гением программирования, вполне достаточно знания,
как минимум, двух сценарных языков.

Со столь быстрым развитием сферы информационных технологий, не исключен факт того, что через несколько лет сисадмины, не
имеющие каких-либо навыков программирования, будут попросту бесполезны.

Спасибо за внимание! Надеемся, что данная статья помогла вам. Удачи!

Оригинальная статья: [Why Linux System Administrators Need Programming Skills](https://www.tecmint.com/why-linux-system-administrators-need-programming-skills/)
