---
images:
  - /images/uploads/shapka5-1.jpg
title: Как сбросить пароль root в Fedora
slug: как-сбросить-пароль-root-в-fedora
date: 2019-04-12T00:00:00+03:00
categories:
  - Администрирование
  - Linux
draft: false
---

![](/images/uploads/shapka5-1.jpg)

Системный администратор Linux может запросто сбросить забытый пользователем пароль при помощи команды **_passwd_**, но что
делать если сисадмин сам забудет пароль root? В этой статье мы расскажем, как сбросить забытый или утерянный пароль root
в операционной системе Fedora.

**Важно:** у вас должен быть физический доступ к компьютеру, с установленной на нём Fedora, только тогда вы сможете изменять
настройки Grub для сброса и перезагрузки машины. Кроме того, если ваша система Fedora зашифрована, вам также нужно будет
узнать ключевое слово _LUKS (Linux Unified Key Setup)_.

## Настройка GRUB

Для настройки GRUB, прервите процесс загрузки компьютера, перезапустив его и нажав на клавиатуре кнопку _E_, когда увидите
меню GRUB:

![Меню GRUB](https://www.tecmint.com/wp-content/uploads/2019/03/Fedora-Grub-Menu.png)

После чего, вы получите следующее:

![Изменение настроек GRUB](https://www.tecmint.com/wp-content/uploads/2019/03/Edit-Fedora-Grub-Settings.png)

При помощи стрелочек перейдите к строке linux, выделенной на рисунке.

![Строка linux](https://www.tecmint.com/wp-content/uploads/2019/03/Find-Linux-in-Grub-Settings.png)

Затем, замените **_rhgb quiet_** следующей строчкой.

```
rd.break enforcing=0
```

![Изменение настроек запуска в GRUB](https://www.tecmint.com/wp-content/uploads/2019/03/Edit-Fedora-Grub-Boot-Settings.png)

После того, как вы отредактировали строчку — сохраните изменения и перезапустите систему, при помощи сочетания клавиш
**_Ctrl+X_**.

**Примечание:** Добавление **_‘enforcing = 0’_** приведёт к игнорированию всей системы меток SELinux. После перезапуска системы,
восстановите для файла **_‘/etc/shadow’_** соответствующий контекст SELinux, как будет показано ниже.

## Монтирование файловой системы Fedora

После запуска системы в безопасном режиме вам необходимо перемонтировать жёсткий диск с разрешением на чтение и запись,
при помощи следующей команды в терминале:

```
# mount -o remount,rw /sysroot
```

![Монтирование жёсткого диска с разрешением на чтение и запись](https://www.tecmint.com/wp-content/uploads/2019/03/Mount-Fedora-Drive-in-Read-Write-Access.png)

## Смена забытого пароля root

Запустите следующую **_chroot_** команду для того, чтобы получить доступ к системе.

```
# chroot /sysroot
```

Теперь вы можете сбросить забытый пароль root, при помощи следующей команды.

```
# passwd
```

Затем, дважды введите новый пароль. Если вы всё сделали правильно — получите сообщение о том, что **все токены
аутентификации обновлены успешно**.

![Сброс пароля root](https://www.tecmint.com/wp-content/uploads/2019/03/Reset-Fedora-Root-User-Password.png)

Дважды введите **_exit_** для перезапуска системы.

## Установите контекст SELinux в файле shadow

Войдите в систему как администратор и введите следующую команду для того, чтобы восстановить метку SELinux в файле
**_‘/etc/shadow’_**.

```
# restorecon -v /etc/shadow
```

Вновь переведите SELinux в безопасный режим.

```
# setenforce 1
```

Готово! Пароль успешно восстановлен и вы можете продолжить использование Fedora.

Спасибо за внимание! Надеемся, что данная статья помогла вам.

Удачи!

Оригинальная статья: [How to Reset Forgotten or Lost Root Password in Fedora](https://www.tecmint.com/reset-forgotten-or-lost-root-password-in-fedora/)
