---
images:
  - /images/uploads/shapka6-2.jpg
title: Как перенастроить установленный пакет в Ubuntu или Debian
slug: как-перенастроить-установленный-пак
date: 2019-04-16T00:00:00+03:00
categories:
  - Linux
draft: false
---

![](/images/uploads/shapka6-2.jpg)

**_dpkg-reconfigure_** — утилита, используемая для перенастройки уже установленного пакета. Это один из нескольких
инструментов, предлагаемых в **_dpkg_** — основной программе управления пакетами в Debian/Ubuntu Linux. Он работает
совместно с **_debconf_**, системой конфигурации пакетов Debian. **_debconf_** регистрирует конфигурацию всех пакетов,
установленных в вашей системе.

Фактически, этот инструмент может использоваться для перенастройки всей системы Ubuntu или Debian. Просто укажите имя
(имена) пакета (пакетов) для перенастройки, после чего он задаст ряд вопросов по конфигурации, аналогично, как при
первоначальной установке пакета.

Это позволит вам получить настройки установленного пакета, а также изменить текущие настройки этого пакета, как записано
в **_debconf_**. Распространенной категорией пакетов, которые можно перенастроить, являются те, конфигурации которых
настраиваются через графический интерфейс в процессе установки пакета, например **_phpmyadmin_**.

## Вывод настроек установленного пакета

Для того, чтобы вывести текущие настройки установленного пакета **_“phpmyadmin”_**, используйте утилиту
**_debconf-show_**, как показано ниже.

```
$ sudo debconf-show phpmyadmin
```

![Вывод настроек установленного пакета](https://www.tecmint.com/wp-content/uploads/2018/09/View-Installed-Package-Configurations.png)

## Перенастройка установленного пакета

Если вы уже переустановили пакет, например **_phpmyadmin_**, вы можете перенастроить его, передав имя пакета в
**_dpkg-reconfigure_**, как указано ниже.

```
$ sudo dpkg-reconfigure phpmyadmin
```

После запуска вышеуказанной команды вы сможете начать перенастраивать **_phpmyadmin_**. Вам нужно будет ответить на ряд
вопросов, просто выберите нужные настройки и продолжите настройку, как показано на скриншотах ниже

![Переустановка базы данных phpmyadmin](https://www.tecmint.com/wp-content/uploads/2018/09/Reinstall-Database-for-PhpMyAdmin.png)

![Настройка веб-сервера phpmyadmin](https://www.tecmint.com/wp-content/uploads/2018/09/Configure-Web-Server-for-PhpMyAdmin.png)

Когда настройка **_phpmyadmin_** будет завершена, на экран выведется информация о новых настройках пакета.

![Информация о phpmyadmin](https://www.tecmint.com/wp-content/uploads/2018/09/PhpMyAdmin-Information.png)

Существует несколько полезных опций, которые позволяют вам изменить его режим по-умолчанию, мы объясним некоторые из
практически полезных ниже.

Флаг **_-f_** используется для выбора интерфейса (например dailog, readline, Gnome, Kde, Editor или noninteractive).

```
$ sudo dpkg-reconfigure -f readline phpmyadmin
```

Вы также можете выбрать внешний вид по-умолчанию через **_debconf_**.

```
$ sudo dpkg-reconfigure debconf
```

Для того, чтобы выбрать какой-либо параметр используйте стрелочки “Вверх” и “Вниз”, затем нажмите “TAB” для выбора,
после чего нажмите “Enter”.

![Выбор интерфейса для настройки dpkg](https://www.tecmint.com/wp-content/uploads/2018/09/Change-dpkg-reconfigure-Frontend.png)

Также выберите, какие вопросы будут проигнорированы в соответствии со степенью их важности, так как показано на
скриншоте ниже и нажмите Enter.

![Изменение приоритета в debconf](https://www.tecmint.com/wp-content/uploads/2018/09/Change-Debconf-Priority.png)

Воспользуйтесь опцией **_-p_** для того, чтобы указать минимальный приоритет вопросам, которые будут отображены напрямую
через командную строку.

```
$ sudo dpkg-reconfigure -p critical phpmyadmin
```

Некоторые пакеты могут быть повреждены, в таком случае мы можете воспользоваться флагом **_-f_** для того, чтобы заставить
**_dpkg-reconfigure_** перенастроить пакет. Используйте этот флаг на свой страх и риск!

```
$ sudo dpkg-reconfigure -f package_name
```

Получить дополнительную информацию можно при помощи:

```
$ man dpkg-reconfigure
```

Спасибо за внимание! Надеемся, что данная статья помогла вам.

Удачи!

Оригинальная статья: [How to Reconfigure Installed Package in Ubuntu and Debian](https://www.tecmint.com/dpkg-reconfigure-installed-package-in-ubuntu-debian/)
