---
images:
  - /images/uploads/shapka81.jpg
title: Как найти и установить приложения в Fedora
slug: как-найти-и-установить-приложения-в-fedora
date: 2019-04-27T00:00:00+03:00
categories:
  - Linux
draft: false
---

![](/images/uploads/shapka81.jpg)

Существует огромное множество программных пакетов, доступных в Fedora Linux из репозитория, предоставленного проектом
Fedora. Помимо этого, вы также можете включить другие сторонние репозитории, такие как **_COPR_** или **_RPM Fusion_**, для
установки дополнительных приложений.

Как и другие дистрибутивы Linux, Fedora использует систему управления пакетами (DNF) для установки, обновления и
удаления пакетов программного обеспечения и компонентов. Система управления пакетами Fedora использует пакеты RPM формата.

В этой статье, мы объясним как найти и установить приложения в дистрибутиве Fedora Linux с помощью графической утилиты
и командной строки (CLI). Мы также затронем сторонние репозитории для установки пакетов с использованием исходного кода
и расскажем о других методах установки.

## Установка ПО в Fedora при помощи графической утилиты

Для облегчения установки ПО в Fedora — воспользуемся графической утилитой. Она позволяет просматривать, находить и
устанавливать приложения. Вам обязательно нужно иметь root права для установки любого пакета в Fedora (в принципе, как
и в любом другом дистрибутиве Linux).

На стандартном рабочем столе, **_GNOME_**, перейдите в меню **_“Activities”_**, далее **_“Software”_**, как показано
на скриншоте:

![Центр приложений Fedora](https://www.tecmint.com/wp-content/uploads/2019/04/Fedora-Software-Center.png)

В соответствующих категориях вы найдёте нужное вам ПО, например, **_Productivity_** или **_Editor’s Picks_**.

![Категории приложений](https://www.tecmint.com/wp-content/uploads/2019/04/Fedora-Software-Packages.png)

Выберите любое, интересующее вас, приложение и нажмите на “Install”, так как показано ниже.

![Установка приложений в Fedora](https://www.tecmint.com/wp-content/uploads/2019/04/Install-Software-in-Fedora.png)

## Установка ПО в Fedora при помощи командной строки

Второй, требующий определённых умений работы в Fedora, способ подразумевает установку ПО через командную строку с
помощью утилиты **_DNF_**, которая используется для управления пакетами (т.е. для их установки, удаления и обновления) в
Fedora (начиная с версии 22), это приложение более высокого уровня, построенное на **_RPM_**.

Войдите как root-пользователь и установите пакеты в Fedora, используя **_DNF_**, как указано ниже.

Для поиска пакетов — воспользуйтесь следующей командой (вместо **_glances_** введите название интересующего вас приложения):

```
#dnf search glances
```

![Поиск пакета в Fedora](https://www.tecmint.com/wp-content/uploads/2019/04/search-a-package.png)

После чего, установите выбранный вами пакет (в нашем случае **_glances_**) при помощи следующей команды (если понадобится,
то ответьте **_y_** на любые запросы):

```
#dnf install glances
```

![Установка пакета в Fedora при помощи CLI](https://www.tecmint.com/wp-content/uploads/2019/04/install-a-package-using-cli.png)

## Подключение сторонних репозиториев в Fedora

Как мы ранее упоминали, **_Fedora_** предоставляет вам большую часть ПО, необходимого для успешной работы системы.
Однако, в случае отсутствия пакета, скорее всего, вы найдёте сторонний репозиторий, который вы можете добавить, чтобы
можно было управлять установкой с помощью встроенного менеджера пакетов.

Существует ряд сторонних программных репозиториев для Fedora, которые обычно используются большинством пользователей и не конфликтуют друг с другом:

- http://rpmfusion.org — предоставляет ПО, которое Fedora Project или Red Hat не хотят поставлять;
- http://rpm.livna.org — дополнение к RPM Fusion;
- https://copr.fedorainfracloud.org/ — простая в использовании система сборки, которая предоставляет репозиторий пакетов.

**Важно:** не рекомендуется устанавливать большое количество сторонних репозиториев, так как они могут конфликтовать друг с другом и таким образом вызовут нестабильность в работе системы, затрудняя отладку проблем.

## Установка ПО в Fedora с использованием исходного кода

Время от времени происходят ситуации, когда пакет не найден ни в одном репозитории или разрабатывается внутри компании,
или вам необходимо установить пакет с пользовательскими настройками. В таких случаях, вы можете установить его из источника.
Разработчики пакетов обычно оставляют инструкции по установке приложений из исходного кода.

**Замечание:** установка подобных приложений может значительно усложнить управление вашей системой, к тому же, менеджер
пакетов не будет знать об установленном ПО. Всё это может привести к усложнению процесса обновления пакетов.

## Альтернативные методы установки

Несмотря на то, что предпочтительным вариантом является установка приложений с использованием систем управления пакетами
Fedora, иногда вам потребуется устанавливать пакеты с помощью других инструментов управления пакетами, особенно систем
пакетов языков программирования, таких как:

- CPAN – Perl
- PyPI, easy_install, pip – Python
- RubyGems, gem – Ruby
- npm – Node.js
- goget/goinstall – Go
- Crate – Rust и многие другие.

Спасибо за внимание! Надеемся, что данная статья помогла вам.

Удачи!

Оригинальная статья: [How to Find and Install Software Applications in Fedora Linux](https://www.tecmint.com/find-and-install-software-in-fedora-linux/)
