---
images:
  - /images/uploads/shapka11.jpg
title: Работа с оконным менеджером i3
slug: работа-с-оконным-менеджером-i3
date: 2019-06-11T00:00:00+03:00
categories:
  - Linux
draft: false
---

![](/images/uploads/shapka11.jpg)

Изначально, Fedora поставляется с рабочим столом GNOME. Он предоставляет пользователю широкий спектр возможностей работы
с набором приложений. Например, приложения для воспроизведения аудио и видео, текстовые редакторы, средства просмотра
PDF и даже приложения «Погода» и «Карты». Но для тех, кто ищет альтернативные варианты рабочего стола, Fedora предоставляет
широкий выбор от полноценных рабочих окружений, таких как Cinnamon и KDE Plasma, до минималистичных оконных
менеджеров, таких как OpenBox, FluxBox и i3wm (часто сокращается до i3).

## Обзор

В данной статье, мы рассмотрим оконный менеджер i3. Вот несколько функций и преимуществ, которые он предоставляет:

- Отсутствие потребности в высококлассном оборудовании
- Низкую ресурсозатратность
- Гибкую настройку

В отличие от стандартных рабочих окружений, оконные менеджеры — это терминальные окружения, которые работают с рабочими
столами и окнами. Вообще не существует таких понятий, как меню приложений или рабочий стол для файлов и папок. Оконные
менеджеры независимы от графического интерфейса. Большинство опытных пользователей не прибегают к использованию мыши при
работе со своими оконными менеджерами и используют исключительно клавиатуру.

## Установка

Несмотря на то, что окружение рабочего стола может быть сколь угодно плавным и визуально приятным, вы не сможете осознать,
насколько быстрым может быть ваш компьютер, пока не начнёте использовать оконный менеджер (такой как i3). В этой статье
мы предполагаем, что вы уже работаете в традиционной среде рабочего стола (такой как GNOME).

Первым делом запустите терминал и пропишите следующую команду:

```
$ sudo dnf install i3 i3status dmenu i3lock xbacklight feh conky
```

Подтвердите загрузку и ждите вплоть до завершения установки. Хотите узнать, что вы установили? Итак, максимально подробно:

- **i3** — пакет главного оконного менеджера
- **i3status** — утилита, генерирующая строки с информацией, отображаемой на панели i3bar
- **dmenu** — утилита для запуска приложений на рабочем столе i3
- **xbacklight** — утилита для изменения уровня яркости экрана вашего ноутбука
- **feh** — утилита для установки обоев
- **conky** — утилита для отображения информации о системе

Общий вес загружаемых утилит составит 23МБ.

Когда завершится установка, вам нужно выйти из текущего сеанса и снова войти, на этот раз выбрав сеанс i3 на экране
входа в систему.

![Во время входа в систему, выберите сессию i3](https://i.imgur.com/0z7p3YQ.png)

## Конфигурация

При первом входе в систему i3 запустит мастер настройки, который поможет вам создать файл конфигурации. Существует два
варианта развития событий: начать с параметров по умолчанию или начать с пустого файла. Если вы впервые используете i3
или менеджер окон, рекомендуется использовать первый вариант.

![](https://i.imgur.com/Ef19jJU.png)

Следующим шагом будет настройка клавиши $mod, важной для понимания i3. Эта клавиша используется для навигации по оконному
менеджеру. Это что-то вроде “командной” клавиши, которую вы будете использовать при смене рабочих столов, окон или при
изменении макетов, или же при открытии новых приложений. По умолчанию вы можете выбрать клавишу Windows или Alt.

![](https://i.imgur.com/ya6j1uv.png)

Готово! Оконный менеджер готов к использованию.

После завершения настройки утилиты вы окажетесь в новом рабочем пространстве i3. Это будет выглядеть слишком примитивно —
просто чёрный экран и маленькая полоска внизу. Сначала нам нужно научиться работать более продуктивно, а затем мы
разберём настройку i3.

## Основное использование

Для начала попробуем использовать простое, но важное сочетание клавиш:

```
$mod + Enter
```

Ну и конечно, замените на то, что вы выбрали в качестве клавиши $mod в этом примере (по умолчанию клавиша Windows).
Это откроет новый терминал.

![](https://i.imgur.com/2FIqULM.png)

Чтобы открыть другое приложение, вам нужно будет использовать dmenu. Для этого нажмите следующее сочетание клавиш:

```
$mod + d
```

После чего вы можете найти приложение, например Firefox. Нажмите enter, когда будете готовы открыть приложение.
Firefox откроется и настроится на использование половины ширины вашего монитора.

![](https://i.imgur.com/AthNqgH.png)

![](https://i.imgur.com/b4p1mZM.png)

Но что, если вы хотите разделить свои окна, чтобы ваш терминал находился поверх окна браузера Firefox? Без проблем.

Для следующего окна будем делить экран по горизонтали, при помощи сочетания:

```
$mod + v
```

По началу может показаться, что никаких изменений и вовсе не последовало, однако, вам нужно будет открыть новое окно,
чтобы увидеть их.

Вновь откройте dmenu, используя сочетание клавиш:

```
$mod + d
```

Теперь найдите другое приложение, например evince (открывает PDF файлы). Нажмите Enter, как только найдёте его. После
чего у вас должно быть три окна на вашем экране, как отображено ниже.

![](https://i.imgur.com/nl4qokq.png)

Считаете, что вам нужно использовать весь экран и хотите, чтобы на весь экран было только одно окно? Легко! Выберите
окно и нажмите для перехода в полноэкранный режим:

```
$mod + f
```

Чтобы вернуть прежнее расположение окна, повторно нажмите это же сочетание.

Если же вам нужно закрыть окно, то воспользуйтесь следующим сочетанием клавиш:

```
Ctrl + Q
```

Или

```
Alt + F4
```

В других ОС или настольных средах вы можете нажать:

```
$mod + Shift + q
```

Для того чтобы закрыть окно в i3 воспользуйтесь:

```
xkill
```

Вновь откройте dmenu:

```
$mod + d
```

Найдите “xkill” и нажмите Enter. Теперь курсор вашей мыши изменится на “X” и любое окно, на которое вы нажмете, закроется.

Чтобы создать новый рабочий стол, например, если старый переполнен окнами, нажмите следующее сочетание клавиш:

```
$mod + #
```

Вместо # введите любую цифру от 1 до 9. Это перенесет вас в новое рабочее пространство на вашем виртуальном рабочем столе.
Если вы хотите переместить уже существующее окно в новое рабочее пространство, выберите окно, которое вы хотите переместить,
и нажмите:

```
$mod + Shift + #
```

## Выход

Если вам нужно завершить сессию i3, воспользуйтесь сочетанием:

```
$mod + Shift + e
```

Подтвердите ваши действия при помощи мыши.

![](https://i.imgur.com/ciHd27a.png)

Это основы, которые вам необходимо знать для работы с оконным менеджером i3. Далее речь пойдёт о том, как настроить i3!

## Настройка

Чтобы настроить i3 так, как нужно вам — ознакомьтесь со следующим файлом:

```
~/.config/i3/config
```

Он создаётся мастером установки и позволяет управлять любым аспектом вашего оконного менеджера путём изменения конфигурации.

Для того чтобы открыть файл, вы можете использовать любой текстовый редактор. В этом же уроке воспользуемся Gedit.
Откройте терминал и выполните эту команду:

```
$ gedit ~/.config/i3/config
```

Вы также можете открыть Gedit через dmenu.

Потратьте некоторое время на то, чтобы просмотреть файл конфигурации. Как видите, он упорядочен по разделам.
Не беспокойтесь если вы случайно удалите этот файл. Для его восстановления введите:

```
i3-config-wizard
```

Как только вы закончите изменять файл, сохраните его и выйдите из текстового редактора. Чтобы изменения вступили в силу,
вам нужно перезагрузить i3. Сделать это можно при помощи следующего сочетания клавиш:

```
$mod + Shift + r
```

Вы увидите предупреждение, если в вашей конфигурации произошла ошибка.

## Команды терминала

Оконный менеджер i3wm предназначен для опытных пользователей Linux, открытых для обучения. Использование интерфейса
командной строки (CLI) чрезвычайно важно во время пользования i3. Существует несколько полезных команд, вот некоторые из них:

- **alsamixer** — изменяет громкость динамиков/наушников
- **xbacklight** — изменяет уровень яркости экрана
- **nmcli** — интерфейс командной строки (CLI) для NetworkManager
- **links** — текстовый веб-браузер
- **irssi** — клиент IRC на основе CLI
- **mc** — продвинутый файловый менеджер Midnight Commander
- **glances** — отображает состояние системы

Это лишь небольшая часть приложений, которые вы можете найти в репозиториях Fedora и которые могут помочь вам повысить
производительность с i3. Существует огромное множество других вариантов, которые вы можете использовать, однако, инструменты,
перечисленные здесь, являются одними из самых важнейших приложений необходимых вам для комфортной работы.

Если вы считаете, что можете выполнять всю свою работу в терминальной среде, то с i3 вы будете чувствовать себя как дома.
В противном же случае, данный оконный менеджер может оказаться не лучшим выбором для вашей рабочей станции.

## Эмулятор терминала

Вы должно быть заметили, что dmenu показывает вам все исполняемые программы, доступные в вашей системе. Чтобы настроить
dmenu для отображения только приложений с графическим интерфейсом, найдите закомментированный раздел о запуске dmenu.

Под этим разделом будут две строчки. Одна закомментирована символом #, а вторая — нет. Измените их (строки) следующим образом:

```
bindsym $mod+d exec dmenu_run
```

```
bindsym $mod+d exec --no-startup-id i3-dmenu-desktop
```

## Собственные ярлыки

Добавить свой собственный ярлык для самых важных, на ваш взгляд, приложений можно следующим образом:

```
$mod+<key> exec <app>
```

Не забудьте заменить и на нужные вам значения.

Например, вы можете добавить следующие строки в файл конфигурации, чтобы создать ярлыки для открытия Rhythmbox и Totem:

```
bindsym $mod+m exec rhythmbox
```

```
bindsym $mod+t exec totem
```

Позаботьтесь о том, чтобы вы не устанавливали ранее определенный ярлык.

## Обои

Оконный менеджер i3 не будет изменять настройки вашего дисплея по умолчанию, поэтому вам нужен инструмент для установки
обоев, например:

```
feh
```

Ищите обои, которые нравятся вам, и сохраняйте их на своем компьютере. Чтобы установить обои, введите:

```
exec --no-startup-id feh --bg-scale ~/path/to/wallpaper.png
```

Для того чтобы загрузить ваши обои, перезагрузите сеанс при помощи:

```
$mod + Shift + r
```

## Настройка Conky

Conky — это удобный и визуально приятный способ отображения информации о вашей системе на экране. Вы можете найти одну
из множества тем Conky онлайн и сохранить её на своём компьютере. Чтобы установить выбранную тему, добавьте в конце вашего
файла конфигурации следующую строку:

```
exec --no-startup-id conky -c ~/path/to/.conkyrc
```

В зависимости от вашей темы, вы получите следующий результат:

![](https://i.imgur.com/m463XyF.png)

## Автозапуск приложений при входе в систему

Если вы хотите, чтобы некоторые приложения запускались в фоновом режиме при старте системы, достаточно будет настроить
приложение на автоматический запуск с помощью следующего синтаксиса:

```
exec --no-startup-id dropbox start
```

## Интернет-ресурсы

Для того чтобы и дальше совершенствовать навыки работы с оконным менеджером i3, существует множество ресурсов, которые
помогут создать вам оконный менеджер вашей мечты. Некоторые из них приведены ниже:

- [i3 cheet sheet](https://gist.github.com/JeffPaine/cbdf57c3721546b14113)
- [i3 user guide](https://i3wm.org/docs/)
- [i3 subreddit](https://www.reddit.com/r/i3wm/)

Спасибо за внимание! Надеемся, что данная статья помогла вам.

Удачи!

Оригинальная статья: [Getting started with the i3 tiling window manager](https://fedoramagazine.org/getting-started-i3-window-manager/)
