---
images:
  - /images/uploads/shapka9.jpg
title: Dualboot Fedora 29 и Windows 10
slug: dualboot-fedora-29-и-windows-10
date: 2019-05-01T00:00:00+03:00
categories:
  - Linux
draft: false
---

![](/images/uploads/shapka9.jpg)

Если вы хотите ознакомиться с дистрибутивами Linux, практически используемыми на всевозможных предприятиях, то идеальным
вариантом послужит Fedora. Поскольку она поддерживается Red Hat, работать с ней много приятнее нежели с Ubuntu. А если
дополнительно установить GNOME v3.20.2+, то система будет выглядеть просто великолепно.

Мы покажем, как грамотно сделать dualboot **_Windows 10_** и **_Fedora_**.

**_P.S._** Способ, приведённый в статье, подойдёт и для **_Fedora 28_**.

Вам понадобятся:

- от 30 до 50 Гб свободного места на жёстком диске.
- USB-накопитель (Pendrive, она же флешка).
- ISO образ Fedora, [который может быть скачан здесь](https://getfedora.org/en/workstation/download/).
- [Rufus](https://rufus.ie/) — утилита, позволяющая создавать загрузочные Flash/Pen/Key/USB-диски.

![](https://c.geeksocket.in/uploads/2016/10/banner-fedora-c.png)

## 1. Выделение места для новой ОС

Вызвав утилиту **_Disk Management_** сочетанием клавиш **_Win + X -> k_**, выберите раздел, у которого вы собираетесь
“позаимствовать” немного свободного места.

_ПКМ -> Shrink Volume… -> Введите желаемый объём (в МБ) для сжатия._

Не сжимайте **_диск C_**, если там нет свободного места. Рекомендуется иметь минимум 30 Гб.

![](https://i.imgur.com/ok9Qjcw.png)

![](https://i.imgur.com/u0oTX8U.png)

![](https://i.imgur.com/Tp2aDEx.png)

Вы увидите нераспределённое пространство.

## 2. Создание загрузочного образа

Откройте Rufus и выберите ISO.

Если ваш жесткий диск имеет схему разделов _GPT_, выберите **_GPT partition scheme for UEFI_**, в противном случае оставьте
всё как есть. Нажмите **_start_**, после чего ваш USB-накопитель будет **_отформатирован_** и назначен как загрузочный.

![](https://c.geeksocket.in/uploads/2016/10/rufus-fedora.png)

Если ОС Windows уже была установлена на ваш ноутбук, то он будет иметь _GPT_.

## 3. Загрузка в USB-накопитель

Нажмите **_Win + X -> U_**, а затем **_Shift + R_**.

Выберите **_Use a device_**, после чего **_USB drive_**. Или же, вы можете перезагрузить компьютер, нажимая **_F12_** (Dell)
или **_ESC_** (hp), и выбрать USB-накопитель в параметрах загрузки.

## 4. Установка

Следуйте инструкциям, показанным на изображениях:

![](https://i.imgur.com/60Tpbhb.png)

![](https://i.imgur.com/atcS5G5.png)

![](https://i.imgur.com/BjCv9bi.png)

Для настройки разделов выберите _Manual partitioning_. Если у вас уже есть **_UEFI boot_**, тогда просто выберите
существующий раздел **_EFI_** и смонтируйте его в _/boot/efi_.

### Почему же так важно выбрать существующий системный раздел EFI нашей системы?

ОС Windows от Microsoft испытывает проблемы, когда она видит более одного раздела EFI во время установки. На данный момент,
создание другого системного раздела EFI будет работать, однако, с повторной установкой Windows могут возникнуть проблемы.

После этого мы добавим один раздел для **_/_** и один для **_swap_** (подкачки), нажав +

Лучше указать размер swap-раздела от 5 ГБ до удвоенного размера оперативной памяти.

![](https://i.imgur.com/l4Nztaa.png)

![](https://i.imgur.com/7AJMcn3.png)

![](https://i.imgur.com/ecsy54X.png)

![](https://i.imgur.com/Q2tR1mU.png)

![](https://i.imgur.com/GEs4saJ.png)

![](https://i.imgur.com/rbntyyZ.png)

![](https://c.geeksocket.in/uploads/2016/10/Screenshot-from-2016-10-18-18-33-29-2.png)

После этого вам нужно установить пароль root и создать нового пользователя. Когда установка закончится вы сможете
загрузиться в ОС. Просто перезапустите и завершите процесс установки.

![](https://c.geeksocket.in/uploads/2016/10/Screenshot-from-2016-10-18-18-41-27.png)

![](https://c.geeksocket.in/uploads/2016/10/Screenshot-from-2016-10-18-18-42-26.png)

Теперь у вас есть Fedora-29 вместе с Windows 10. Вы можете включить в настройках мыши распознавание касания по тачпаду в
качестве щелчка мыши и добавить сочетание клавиш Ctrl+Alt+T для запуска терминала.

Спасибо за внимание! Надеемся, что данная статья помогла вам.

Удачи!

Оригинальная статья: [Dualboot Fedora 29 with Windows 10](https://geeksocket.in/blog/dualboot-fedora-windows/)
