---
images:
  - /images/uploads/Django1.jpg
title: Основы Django
slug: основы-django
date: 2019-07-31T01:00:00+03:00
categories:
  - Программирование
  - Веб-разработка
  - Django
tags:
  - Курс молодого бойца Django
draft: false
---

![](/images/uploads/Django1.jpg)

Django — это высокоуровневый веб-фреймворк Python, который способствует быстрой разработке и чистому, прагматичному дизайну.
Django облегчает создание качественных веб-приложений быстро и с меньшим количеством кода.

**Примечание.** Django является зарегистрированным товарным знаком Django Software Foundation и распространяется по лицензии BSD.

## История Django

- 2003 — Авторы проекта: Адриан Головатый и Саймон Уиллисон; внутренний проект газеты Lawrence Journal-World.
- 2005 — Выпущен в июле 2005 года и назван Django в честь джазового гитариста Django Reinhardt.
- 2005 — Уже может обрабатывать несколько сайтов с большим трафиком.
- На данный момент — Django является проектом с открытым исходным кодом, в разработке которого участвуют программисты со всего мира.

## Философия Django

Django несет в себе следующую философию:

- **Независимость элементов** — Django стремится сделать каждый элемент своего стека независимым от других.
- **Меньше кода** — чем меньше кода, тем быстрее разработка.
- **“Не повторяй за собой” (DRY)** — всё должно разрабатываться только в одном месте, а не повторяться снова и снова.
- **Быстрая разработка** — философия Django состоит в том, чтобы делать все возможное, чтобы способствовать сверхбыстрой разработке.
- **Чистый дизайн** — Django строго придерживается чистого дизайна в своем собственном коде и позволяет легко следовать лучшим практикам веб-разработки.

## Преимущества Django

Вот несколько преимуществ использования Django:

- **Поддержка объектно-реляционного отображения (ORM)** — Django обеспечивает связь между моделью данных и механизмом базы
данных, а также поддерживает большой набор СУБД, включая MySQL, Oracle, PostgreSQL и т.д. Django также поддерживает базу
данных NoSQL в форке Django-nonrel. Пока единственными поддерживаемыми базами данных NoSQL являются MongoDB и Google App Engine.
- **Поддержка многоязычности** — Django поддерживает многоязычные веб-сайты с помощью встроенной системы интернационализации.
Таким образом, вы можете разработать свой сайт, который будет поддерживать несколько языков.
- **Поддержка фреймворков** — Django имеет встроенную поддержку Ajax, RSS, Caching и различных других фреймворков.
- **GUI для администрирования** — Django предоставляет готовый удобный пользовательский интерфейс для администрирования.
- **Среда разработки** — Django поставляется с облегченным веб-сервером, который упрощает разработку и тестирование комплексных приложений.

Источник: [Django — Basics](https://www.tutorialspoint.com/django/django_basics.htm)
