---
images:
  - /images/uploads/Django3.jpg
title: Установка Django
slug: установка-django
date: 2019-08-02T00:01:00+03:00
categories:
  - Программирование
  - Веб-разработка
  - Django
tags:
  - Курс молодого бойца Django
draft: false
---

![](/images/uploads/Django3.jpg)

Среда разработки Django состоит из Python, Django и СУБД. Поскольку Django имеет дело с веб-приложениями, стоит упомянуть,
что вам также потребуется настроенный веб-сервер.

## Шаг 1 — Установка Python

Django написан на чистом Python, поэтому вам нужно установить его в вашей системе. Последняя версия Django требует Python 2.6.5 или выше.

Если вы используете Linux или Mac OS X, возможно у вас уже установлен Python. Вы можете проверить это, набрав команду
**python** в командной строке. Если вы увидите что-то подобное, то Python установлен.

```
$ python
Python 2.7.5 (default, Jun 17 2014, 18:11:42)
[GCC 4.8.2 20140120 (Red Hat 4.8.2-16)] on linux2
```

В противном случае вы можете скачать и установить последнюю версию Python [по ссылке](https://www.python.org/downloads/).

## Шаг 2 — Установка Django

Установка Django очень проста, но шаги, необходимые для его установки, зависят от вашей операционной системы. Поскольку
Python является языком, не зависящим от платформы, Django имеет один пакет, который работает везде, независимо от вашей
операционной системы.

Вы можете скачать последнюю версию Django [по ссылке](https://www.djangoproject.com/download/).

## Установка в UNIX/Linux и Mac OS X

У вас есть два способа установки Django, если вы используете систему Linux или Mac OS:

- Вы можете использовать менеджер пакетов вашей ОС или воспользоваться **easy_install** или **pip**, если они установлены.
- Установите его вручную, используя официальный архив, который вы скачали ранее.

Мы рассмотрим второй вариант, так как первый зависит от дистрибутива вашей ОС. Если вы решили следовать первому варианту,
будьте осторожны с версией Django, которую вы устанавливаете.

Допустим, вы получили свой архив по ссылке выше, он должен представлять собой что-то вроде **Django-x.xx.tar.gz**:

Распакуйте и установите его:

```
$ tar xzvf Django-x.xx.tar.gz
$ cd Django-x.xx
$ sudo python setup.py install
```

Вы можете проверить текущее состояние установки, выполнив команду ниже:

```
$ django-admin.py --version
```

Если вы увидите на экране текущую версию Django, то все установлено.

**Примечание.** В некоторых версиях Django будет просто **django-admin**, без “.py”.

## Установка в Windows

Предполагается, что на вашем компьютере уже есть Python и архив с Django.

Первым делом проверьте **PATH**.

В некоторых версиях Windows (например, Windows 7) вам будет необходимо убедиться, что системная переменная **PATH** содержит
следующий путь: **C:\Python34\;C:\Python34\Lib\site-packages\django\bin\**, конечно, с вашей версией Python.

Затем распакуйте Django:

```
c:\>cd c:\Django-x.xx
```

А затем установите его, выполнив следующую команду, для которой вам понадобятся права администратора в командной оболочке Windows “cmd”:

```
c:\Django-x.xx>python setup.py install
```

Чтобы проверить установку, откройте командную строку и введите следующую команду:

```
c:\>python -c "import django; print(django.get_version())"
```

Если вы увидите на экране текущую версию Django, то все установлено.

ИЛИ ЖЕ

Запустите командную оболочку “cmd” и введите **python**:

```
c:\> python
>>> import django
>>> django.VERSION
```

## Шаг 3 — Настройка базы данных

Django поддерживает несколько основных СУБД, вы можете настроить любую из них в зависимости от вашего предпочтения.

1. [MySQL](https://www.mysql.com/)
2. [PostgreSQL](https://www.postgresql.org/)
3. [SQLite 3](https://www.sqlite.org/index.html)
4. [Oracle](https://www.oracle.com/index.html)
5. [MongoDb](https://django-mongodb-engine.readthedocs.io/en/latest/)
6. [GoogleAppEngine DataStore](https://cloud.google.com/python/django/)

Вы можете обратиться к соответствующей документации по установке и настройке базы данных на ваш выбор.

**Примечание.** Номера 5 и 6 — базы данных NoSQL.

## Шаг 4 — Веб-сервер

Django поставляется с легким веб-сервером для разработки и тестирования приложений. Этот сервер предварительно настроен
для работы с Django, и, что более важно, он перезапускается всякий раз, когда вы изменяете код.

Тем не менее Django поддерживает Apache и другие популярные веб-серверы, такие, как Lighttpd. Мы обсудим оба варианта
в следующих главах, работая с разными примерами.

Источник: [Django — Environment](https://www.tutorialspoint.com/django/django_environment.htm)
