---
images:
  - /images/uploads/Django05.jpg
title: Жизненный цикл приложений Django
slug: жизненный-цикл-приложений-django
date: 2019-08-06T00:00:00+03:00
categories:
  - Программирование
  - Веб-разработка
  - Django
tags:
  - Курс молодого бойца Django
draft: false
---

![](/images/uploads/Django05.jpg)

Проект представляет собой совокупность приложений. Каждое приложение имеет свою цель и может быть повторно использовано
в другом проекте, например, контактная форма на веб-сайте может быть приложением и может повторно использоваться в других
проектах. Рассматривайте приложение как модуль вашего проекта.

## Создание приложения

Мы предполагаем, что вы находитесь в папке вашего проекта. Перейдите в нашу основную папку “myproject”, а затем в подпапку
с тем же именем, в которой расположен файл **manage.py**, и введите команду ниже:

```
$ python manage.py startapp myapp
```

Вы только что создали приложение **myapp** и, как и для проекта, Django создал папку **myapp** со структурой приложения:

```
myapp/
    __init__.py
    admin.py
    models.py
    tests.py
    views.py
```

- **\_\_init\_\_.py** — специальный файл для python, чтобы он рассматривал эту папку как пакет.
- **admin.py** — файл, который поможет вам изменить приложение в интерфейсе администратора.
- **models.py** — в этом файле хранятся все модели приложения.
- **tests.py** — файл с юнит-тестами.
- **views.py** — файл с представлениями приложения.

## Регистрация приложения в проекте

На данном этапе у нас есть приложение “myapp”, теперь нам нужно зарегистрировать его в нашем проекте Django “myproject”.
Для этого обновите кортеж **INSTALLED_APPS** в файле **settings.py** вашего проекта (добавьте имя вашего приложения):

```
INSTALLED_APPS = (
    'django.contrib.admin',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.messages',
    'django.contrib.staticfiles',
    'myapp',
)
```

Источник: [Django — Apps Life Cycle](https://www.tutorialspoint.com/django/django_apps_life_cycle.htm)
