---
images:
  - /images/uploads/docker2.jpg
title: Установка Docker
slug: установка-docker
date: 2019-07-26T02:00:00+03:00
categories:
  - Docker
tags:
  - Курс молодого бойца Docker
draft: false
---

![](/images/uploads/docker2.jpg)

## Установка в Linux

Операционной системой для установки Docker мы выбрали Ubuntu. Вы также можете воспользоваться Oracle Virtual Box
для установки виртуального образа Ubuntu.

На следующем изображении показан простой сервер Ubuntu, установленный в Oracle Virtual Box. В операционной системе есть
пользователь с именем **demo**, который был определён в системе с root-правами к серверу.

![](https://i.imgur.com/T7IilS3.jpg)

Для установки Docker, необходимо выполнить несколько шагов:

**Шаг 1.** Перед установкой Docker убедитесь, что у вас установлена правильная версия ядра Linux. Docker предназначен
для работы с ядром Linux версии 3.8 и выше. Проверку можно осуществить посредством вызова команды **uname**, которая
возвращает системную информацию о Linux:

```
uname -a
```

Здесь **a** используется для гарантии того, что системная информация возвращается.

Данный метод возвращает следующую информацию в системе Linux:

- имя ядра
- имя узла
- выпуск ядра
- версия ядра
- имя машины
- процессор
- аппаратная платформа
- операционная система

Пример вывода:

![](https://i.imgur.com/Q6wBsTA.jpg)

Из вывода видно, что версия ядра Linux — 4.2.0-27, что выше чем 3.8, поэтому мы можем двигаться дальше.

**Шаг 2.** Обновите все пакеты до последней версии, используя команду **apt-get**, устанавливающую пакеты из Интернета
в систему Linux:

```
sudo apt-get update
```

Детальнее рассмотрим сам запрос:

- **sudo** — используется для обеспечения выполнения команды с root-правами.
- **update** — используется для гарантии того, что все пакеты обновлены в системе Linux.

Команда **apt-get** ничего не возвращает.

Пример вывода:

![](https://i.imgur.com/hkA8kwZ.jpg)

Данная команда осуществит подключение к Интернету и загрузит последние системные пакеты для Ubuntu.

**Шаг 3.** Следующим шагом является установка необходимых сертификатов, которые впоследствии будут необходимы для работы
с сайтом Docker для загрузки необходимых пакетов Docker. Сделать это можно при помощи следующей команды:

```
sudo apt-get install apt-transport-https ca-certificates
```

![](https://i.imgur.com/v4KMYR3.jpg)

**Шаг 4.** После чего нам необходимо добавить новый GPG-ключ, который потребуется для обеспечения шифрования всех данных
при загрузке пакетов, необходимых для Docker.

Следующая команда загрузит ключ с ID 58118E89F3A912897C070ADBF76221572C52609D с сервера ключей **keyserver** hkp://ha.pool.sks-keyservers.net:80
и добавит его в цепочку **adv**. Обратите внимание, что этот конкретный ключ требуется для загрузки необходимых пакетов Docker.

![](https://i.imgur.com/Teb7HMm.jpg)

**Шаг 5.** Далее, в зависимости от вашей версии Ubuntu, вам необходимо добавить соответствующий сайт в список **docker.list**
для **менеджера пакетов apt**, тем самым позволив ему обнаруживать пакеты Docker с сайта Docker и загружать их соответствующим образом.

- Precise 12.04 (LTS) ─ deb https://apt.dockerproject.org/repo ubuntu-precise main
- Trusty 14.04 (LTS) ─ deb https://apt.dockerproject.org/repo ubuntu-trusty main
- Wily 15.10 ─ deb https://apt.dockerproject.org/repo ubuntu-wily main
- Xenial 16.04 (LTS) — https://apt.dockerproject.org/repo ubuntu-xenial main

Поскольку наша ОС — это Ubuntu 14.04, то мы будем использовать репозиторий под названием “deb https://apt.dockerproject.org/repo ubuntu-trusty main”

После чего нам нужно будет добавить этот репозиторий в список **docker.list**, как упоминалось выше.

```
echo "deb https://apt.dockerproject.org/repo ubuntu-trusty main” | sudo tee /etc/apt/sources.list.d/docker.list
```

![](https://i.imgur.com/sTrT5Km.png)

**Шаг 6.** Затем, мы запускаем команду **apt-get update**, чтобы обновить пакеты в системе Ubuntu.

![](https://i.imgur.com/ss9qS3E.jpg)

**Шаг 7.** Если вам необходимо убедиться, что менеджер пакетов указывает на правильный репозиторий, вы можете сделать
это при помощи команды **apt-cache**:

```
apt-cache policy docker-engine
```

В выводе вы получите ссылку на https://apt.dockerproject.org/repo:

![](https://i.imgur.com/namvV4P.jpg)

**Шаг 8.** Запустите команду **apt-get update** для того, чтобы убедиться в том, что все пакеты в локальной системе обновлены.

![](https://i.imgur.com/zwo4Bor.jpg)

**Шаг 9.** Для Ubuntu Trusty, Wily, и Xenial необходимо установить пакеты с ядром linux-image-extra-*, которые позволяют
использовать драйвер хранилища **aufs**. Этот драйвер используется более новыми версиями Docker.

Сделать это можно с помощью следующей команды:

```
sudo apt-get install linux-image-extra-$(uname -r) linux-image-extra-virtual
```

![](https://i.imgur.com/E4RQwOO.jpg)

**Шаг 10.** Последним шагом мы устанавливаем сам Docker с помощью следующей команды:

```
sudo apt-get install –y docker-engine
```

Здесь **apt-get** используется для загрузки образа движка Docker с сайта Docker и его дальнейшей установки.

Docker-engine — это официальный пакет от Docker Corporation для систем на основе Ubuntu.

![](https://i.imgur.com/3pkgaxd.jpg)

## Версия Docker

Чтобы узнать текущую версию Docker, воспользуйтесь следующей командой:

```
docker version
```

- **version** — используется для гарантии того, что команда Docker возвращает установленную версию Docker.
Вывод будет содержать различные сведения о версии Docker, установленной в системе.

### Пример

```
sudo docker version
```

Пример вывода:

![](https://i.imgur.com/fjOYOyr.jpg)

## Информация о Docker

Чтобы узнать больше информации о Docker, работающем в системе, вы можете выполнить следующую команду:

```
docker info
```

- **info** — используется для того, чтобы Docker-команда возвращала подробную информацию об установленной службе Docker.
Вывод будет содержать различные детали Docker, такие как:

- Количество контейнеров
- Количество образов
- Драйвер хранилища, используемый Docker
- Корневой каталог, используемый Docker
- Драйвер, используемый Docker

### Пример

```
sudo docker info
```

Пример вывода:

![](https://i.imgur.com/ax29S4z.jpg)

## Установка в Windows

### Docker для Windows

Docker имеет встроенную поддержку Windows, но для установки Docker для Windows необходимо иметь следующую конфигурацию:

|            |                        |
|------------|------------------------|
| Windows OS | Windows 10 64 bit      |
| Memory     | 2 GB RAM (recommended) |

Вы можете загрузить Docker для Windows по [этой ссылке](https://docs.docker.com/docker-for-windows/).

![](https://i.imgur.com/FcpZij3.jpg)

### Установка

После того как установщик был загружен, дважды щелкните по нему, чтобы запустить установщик, а затем выполните действия,
указанные ниже.

**Шаг 1.** Установите галочку напротив условий соглашения, а затем нажмите на кнопку “Install”, чтобы продолжить установку.

![](https://i.imgur.com/wtwn7xC.jpg)

**Шаг 2.** После завершения процесса установки, нажмите на кнопку “Finish” для выхода из мастера установки.

![](https://i.imgur.com/Zv0m3n8.jpg)

### Docker ToolBox

Docker ToolBox был разработан для более старых версий Windows, таких как Windows 8.1 и Windows 7. Для установки Docker ваша ОС должна иметь следующую конфигурацию:

|                |                         |
|----------------|-------------------------|
| Windows OS     | Windows 7, 8, 8.1       |
| Memory         | 2 GB RAM (recommended)  |
| Virtualization | This should be enabled. |

Вы можете загрузить Docker ToolBox по [этой ссылке](https://www.docker.com/products/docker-toolbox).

![](https://i.imgur.com/K698Efy.jpg)

### Установка Docker ToolBox

После того как установщик был загружен, дважды щелкните по нему, чтобы его запустить, а затем выполните действия, указанные ниже.

**Шаг 1.** Нажмите на кнопку “Next” на экране приветствия.

![](https://i.imgur.com/Yr88gPn.jpg)

**Шаг 2.** Далее выберите путь для установки приложения и повторно нажмите кнопку “Next”.

![](https://i.imgur.com/NFXSx6j.jpg)

**Шаг 3.** Оставьте компоненты по-умолчанию и вновь нажмите кнопку “Next”, чтобы продолжить.

![](https://i.imgur.com/ySoMIRP.jpg)

**Шаг 4.** Оставьте дополнительные параметры такими, какие они есть, и нажмите кнопку “Next”.

![](https://i.imgur.com/vUR79SJ.jpg)

**Шаг 5.** На последнем экране нажмите кнопку “Install”.

![](https://i.imgur.com/aHGFWaI.jpg)

### Работа с Docker ToolBox

Давайте теперь посмотрим, как можно использовать Docker Toolbox для работы с контейнерами Docker в Windows. Первым шагом
является запуск приложения Docker Toolbox, для которого был создан ярлык на рабочем столе при установке панели инструментов Docker.

![](https://i.imgur.com/RIzTakf.jpg)

Затем вы увидите настройку, выполняемую при запуске Docker.

![](https://i.imgur.com/bekNNDY.jpg)

После этого вы увидите, что Docker настроен и запущен. Вы получите интерактивную оболочку для Docker.

![](https://i.imgur.com/LjXrsZh.jpg)

Чтобы проверить, правильно ли работает Docker, мы можем использовать команду **docker run** для загрузки и запуска простого
контейнера **HelloWorld Docker**:

```
docker run
```

Эта команда используется для запуска команды в контейнере Docker.

```
docker run image
```

- **Image** — это имя образа, которое используется для запуска контейнера.

Вывод выполнит команду в нужном контейнере.

## Пример

Следующая команда загрузит образ **hello-world**, если его еще нет, и запустит **hello-world** в качестве контейнера:

```
sudo docker run hello-world
```

Пример вывода:

![](https://i.imgur.com/XhNOson.jpg)

Если вы хотите запустить ОС Ubuntu в Windows, вы можете загрузить образ Ubuntu, используя следующую команду:

```
docker run –it Ubuntu bash
```

Здесь вы говорите Docker запускать команду в интерактивном режиме через опцию **–it**.

![](https://i.imgur.com/M4hQPqZ.jpg)

В выводе вы можете видеть, что образ Ubuntu загружен и запущен, после чего вам необходимо войти в систему как root-пользователь
в контейнере Ubuntu.

Источники: [Installing Docker on Linux](https://www.tutorialspoint.com/docker/installing_docker_on_linux.htm)
и [Docker — Installation](https://www.tutorialspoint.com/docker/docker_installation.htm)
