---
images:
  - /images/uploads/docker5.jpg
title: Контейнеры Docker
slug: контейнеры-docker
date: 2019-07-30T01:00:00+03:00
categories:
  - Docker
tags:
  - Курс молодого бойца Docker
draft: false
---
![](/images/uploads/docker5.jpg)

Контейнеры — это экземпляры образов Docker, которые можно запустить с помощью команды run в Docker. Основное назначение
Docker — запускать контейнеры. Давайте обсудим, как работать с контейнерами.

## Запуск контейнера

Запуск контейнеров осуществляется командой **run** в Docker. Чтобы запустить контейнер в интерактивном режиме, запустите
его, как показано ниже.

```
sudo docker run –it centos /bin/bash
```

Затем нажмите Ctrl+P, чтобы вернуться в свою оболочку операционной системы.

![](https://i.imgur.com/COmQceM.jpg)

Так вы сможете работать с экземпляром системы CentOS на своем сервере Ubuntu.

## Вывод списка контейнеров

Можно перечислить все контейнеры на машине с помощью команды **docker ps**. Эта команда используется для вывода запущенных
в данный момент контейнеров.

```
docker ps
```

Вывод покажет работающие в данный момент контейнеры.

### Пример

```
sudo docker ps
```

Пример вывода:

![](https://i.imgur.com/06SUSSr.jpg)

Давайте посмотрим ещё несколько вариантов команды **docker ps**.

## docker ps -a

Эта команда используется для вывода всех контейнеров в системе.

* **\-a** — сообщает команде **docker ps** о том, что нужно перечислить все контейнеры в системе.

Вывод покажет все контейнеры.

### Пример

```
sudo docker ps -a
```

Пример вывода:

![](https://i.imgur.com/MzC5Jo9.jpg)

## docker history

С помощью данной команды вы сможете вывести все команды, которые были запущено образом через контейнер.

```
docker history ImageID
```

* **ImageID** — это идентификатор образа, для которого вы хотите вывести все команды, которые были в нем запущены.

Вывод покажет все команды, запущенные в данном образе.

### Пример

```
sudo docker history centos
```

Приведенная выше команда покажет все команды, которые были запущены в образе **centos**.

Пример вывода:

![](https://i.imgur.com/ru9SVMJ.jpg)

Источник: [Docker Containers](https://www.tutorialspoint.com/docker/docker_containers.htm)