---
images:
  - /images/uploads/docker6.jpg
title: Работа с контейнерами Docker
slug: работа-с-контейнерами-docker
date: 2019-08-01T01:00:00+03:00
categories:
  - Docker
tags:
  - Курс молодого бойца Docker
draft: false
---

![](/images/uploads/docker6.jpg)

В этой главе мы подробно рассмотрим, что мы можем делать с контейнерами.

## docker top

С помощью этой команды вы можете увидеть основные процессы в контейнере:

```
docker top ContainerID
```

- **ContainerID** — это идентификатор контейнера, основные процессы которого вы хотите увидеть.

Вывод покажет процессы верхнего уровня в контейнере.

### Пример

Команда ниже выведет процессы верхнего уровня в контейнере:

```
sudo docker top 9f215ed0b0d3
```

Пример вывода:

![](https://i.imgur.com/lQaLpFF.jpg)

## docker stop

Данная команда используется для того, чтобы завершить работу контейнера:

```
docker stop ContainerID
```

- **ContainerID** — это идентификатор контейнера, работу которого необходимо остановить.

Вывод покажет идентификатор завершённого процесса.

### Пример

Команда ниже завершит работу контейнера Docker **9f215ed0b0d3**:

```
sudo docker stop 9f215ed0b0d3
```

Пример вывода:

![](https://i.imgur.com/Au6FTDg.jpg)

## docker rm

Эта команда используется для удаления контейнера:

```
docker rm ContainerID
```

- **ContainerID** — это идентификатор контейнера, который необходимо удалить.

Вывод покажет идентификатор удалённого контейнера.

### Пример

Команда ниже удалит контейнер Docker **9f215ed0b0d3**:

```
sudo docker rm 9f215ed0b0d3
```

Пример вывода:

![](https://i.imgur.com/b09jsPT.jpg)

## docker stats

Данная команда используется для предоставления статистики работающего контейнера:

```
docker stats ContainerID
```

- **ContainerID** — это идентификатор контейнера, статистику которого необходимо получить.

### Пример

Команда ниже предоставит статистику использования ЦП и памяти контейнера **9f215ed0b0d3**:

```
sudo docker stats 9f215ed0b0d3
```

Пример вывода:

![](https://i.imgur.com/vc1Mrrb.jpg)

## docker attach

Данная команда используется для подключения к работающему контейнеру:

```
docker attach ContainerID
```

- **ContainerID** — это идентификатор контейнера, к которому необходимо подключиться.

Вывод ничего не вернёт.

### Пример

Команда ниже подключится к контейнеру Docker **07b0b6f434fe**:

```
sudo docker attach 07b0b6f434fe
```

Пример вывода:

![](https://i.imgur.com/S4OV01C.jpg)

Использование ЦП в этом контейнере Docker:

![](https://i.imgur.com/jIbnbra.jpg)

## docker pause

Данная команда используется для приостановки процессов в работающем контейнере:

```
docker pause ContainerID
```

- **ContainerID** — это идентификатор контейнера, процессы которого необходимо приостановить.

Вывод вернёт ID приостановленного контейнера.

### Пример

Команда ниже приостановит процессы в работающем контейнере **07b0b6f434fe**:

```
sudo docker pause 07b0b6f434fe
```

Пример вывода:

![](https://i.imgur.com/tL9ZUaS.jpg)

## docker unpause

Данная команда используется для возобновления процессов в работающем контейнере:

```
docker unpause ContainerID
```

- **ContainerID** — это идентификатор контейнера, для которого необходимо возобновить работу процессов.

Вывод вернёт ID работающего контейнера.

### Пример

Команда ниже возобновит процессы в работающем контейнере **07b0b6f434fe**:

```
sudo docker unpause 07b0b6f434fe
```

Пример вывода:

![](https://i.imgur.com/nhgfnCH.jpg)

## docker kill

Данная команда используется для уничтожения процессов в работающем контейнере:

```
docker kill ContainerID
```

- **ContainerID** — это идентификатор контейнера, в котором необходимо уничтожить процессы.

Вывод вернёт ID работающего контейнера.

### Пример

Команда ниже уничтожит процессы в работающем контейнере 07b0b6f434fe:

```
sudo docker kill 07b0b6f434fe
```

Пример вывода:

![](https://i.imgur.com/keC2xYV.jpg)

## Docker — Жизненный Цикл Контейнера

Следующая диаграмма отображает жизненный цикл Docker контейнера:

![](https://i.imgur.com/80psyF8.jpg)

- Изначально контейнер Docker будет в **созданном** состоянии.
- Затем при использовании команды Docker **run** — контейнер переходит в рабочее состояние.
- Команда Docker **kill** используется для уничтожения существующего контейнера Docker.
- Команда Docker **pause** используется для приостановки существующего контейнера Docker.
- Команда Docker **stop** используется для завершения работы существующего контейнера Docker.
- Команда Docker **run** используется для перевода контейнера из **остановленного** состояния в **рабочее** состояние.

Источник: [Docker — Working with Containers](https://www.tutorialspoint.com/docker/docker_working_with_containers.htm)
