---
images:
  - /images/uploads/docker11.jpg
title: Dockerfile Docker
slug: dockerfile-docker
date: 2019-08-07T01:00:00+03:00
categories:
  - Docker
tags:
  - Курс молодого бойца Docker
draft: false
---

![](/images/uploads/docker11.jpg)

В предыдущих главах мы рассмотрели различные файлы образов, таких как CentOS, которые загружаются из **Docker Hub**,
из которого вы можете развернуть контейнеры.

Ниже приведён пример:

![](https://i.imgur.com/bLA3bDb.jpg)

Если воспользоваться командой Docker **images**, то можно увидеть все существующие в нашей системе образы. Как видно
на скриншоте выше — у нас есть два образа: **centos** и **nsenter**.

Однако, Docker также даёт вам возможность создавать свои собственные образы, также это может быть выполнено при помощи
**файлов Docker**. Они представляют собой текстовые документы содержащие команды для сборки собственного образа.

Шаги, предоставленные ниже, помогут вам разобраться с тем, как следует создавать **Dockerfile**:

**Шаг 1.** Создайте файл с названием **Dockerfile** и отредактируйте его с помощью **vim**. Обратите внимание на то, что
имя файла должно обязательно быть “Dockerfile” с заглавной буквой “D”:

![](https://i.imgur.com/CdMkNTc.jpg)

**Шаг 2.** Занесите в **Dockerfile** следующие инструкции:

```
#This is a sample Image
FROM ubuntu
MAINTAINER demousr@gmail.com

RUN apt-get update
RUN apt-get install –y nginx
CMD [“echo”,”Image created”]
```

Необходимо прояснить некоторые моменты, касательно файла выше:

- Первая строка “#This is a sample Image” — это комментарий. Вы может добавлять комментарии к файлам Docker с помощью
команды **#**.
- Следующая строка начинается с ключевого слова **FROM** и сообщает Docker, из какого базового образа вы хотите построить
свой образ. В нашем примере мы создаём образ из образа Ubuntu.
- Следующая команда — это человек, который собирается сохранить этот образ. Здесь вы указываете ключевое слово **MAINTAINER**
и указываете ID электронной почты.
- Команда **RUN** используется для запуска инструкций для образа. В нашем случае мы сначала обновляем нашу систему Ubuntu,
а затем устанавливаем **nginx** на наш образ Ubuntu.
- Последняя команда используется для вывода на экран сообщения, предназначенного пользователю.

**Шаг 3.** Сохраните файл. В следующей главе, мы обсудим как [собрать наш образ](https://itdoxy.com/сборка-файлов-docker/).

![](https://i.imgur.com/tBN9DYj.jpg)

Источник: [Docker — File](https://www.tutorialspoint.com/docker/docker_file.htm)
