---
images:
  - /images/uploads/docker12.jpg
title: Сборка Файлов Docker
slug: сборка-файлов-docker
date: 2019-08-07T02:00:00+03:00
categories:
  - Docker
tags:
  - Курс молодого бойца Docker
draft: false
---

![](/images/uploads/docker12.jpg)

В предыдущей главе мы [создали наш **Dockerfile**](https://itdoxy.com/dockerfile-docker/). Настало время для его сборки.
Сделать это можно при помощи следующей команды:

```
docker build
```

Предлагаем детальнее рассмотреть данную команду.

## docker build

Данный метод позволяет пользователю собирать собственные образы Docker:

```
docker build -t ImageName:TagName dir
```

- **-t** — используется для указания тега к образу.
- **ImageName** — имя, которое вы хотите дать своему образу.
- **TagName** — тег, который вы хотите присвоить своему образу.
- **Dir** — каталог, в котором находится файл Docker.

### Пример

```
sudo docker build –t myimage:0.1.
```

Здесь **myimage** — это имя, который мы даём образу, а **0.1** — это номер тега, который мы даём образу.

Поскольку файл Docker находится в текущем рабочем каталоге, мы использовали «**.**» в конце команды.

### Вывод

Из выходных данных вы сначала увидите, что образ Ubuntu будет загружен из Docker Hub, поскольку на машине нет локального образа.

![](https://i.imgur.com/r4FKvet.jpg)

Наконец, когда сборка будет завершена, все необходимые команды будут запущены в образе.

![](https://i.imgur.com/RjYgk3x.jpg)

После чего вы увидите сообщение о том, что сборка была успешно завершена, и ID нового образа. Когда вы запустите команду
Docker **images** — вы увидите свой новый образ.

![](https://i.imgur.com/4TLVkhb.jpg)

Теперь вы можете создавать контейнеры из вашего нового образа.

Источник: [Docker — Building Files](https://www.tutorialspoint.com/docker/building_docker_files.htm)
