---
images:
  - /images/uploads/docker13.jpg
title: Публичные репозитории Docker
slug: публичные-репозитории-docker
date: 2019-08-08T01:00:00+03:00
categories:
  - Docker
tags:
  - Курс молодого бойца Docker
draft: false
---

![](/images/uploads/docker13.jpg)

Публичные репозитории могут использоваться для размещения образов Docker, откуда могут быть получены всеми желающими.
Примерами являются образы, доступные на Docker Hub. Многие из них, например, такие, как CentOS, Ubuntu, Jenkins, являются
общедоступными для всех. Мы также можем загружать свои образы в публичный репозиторий на Docker Hub.

В качестве примера для загрузки, возьмём репозиторий **myimage**, собранный в главе [“Сборка Файлов Docker”](https://itdoxy.com/сборка-файлов-docker/).
Первым делом рассмотрим образы на нашем хосте Docker, чтобы увидеть, что мы можем отправить в реестр Docker.

![](https://i.imgur.com/U4cwWL8.jpg)

Здесь у нас есть образ **myimage:0.1**, который мы и будем использовать для загрузки в публичный репозиторий Docker.

Пошагово рассмотрим, как мы можем загрузить образ в публичный репозиторий.

**Шаг 1.** Перейдите по [ссылке](https://hub.docker.com/) и войдите в свой аккаунт на Docker Hub.

![](https://i.imgur.com/SabufGH.jpg)

**Шаг 2.** Нажмите на кнопку “Create Repository”, как на скриншоте выше, и создайте репозиторий под названием **demorep**.
Убедитесь в том, что видимость (visibility) репозитория выставлена на public.

![](https://i.imgur.com/HeRJ9KI.jpg)

После создания репозитория скопируйте команду **pull**.

![](https://i.imgur.com/Z54Lzka.jpg)

Команда **pull**, которая будет использоваться в нашем репозитории, выглядит следующим образом:

```
docker pull demousr/demorep
```

**Шаг 3.** Теперь вернитесь к хосту Docker. Здесь нам нужно привязать наш **myimage** к новому репозиторию, созданному
в Docker Hub. Сделать это можно с помощью команды Docker **tag**.

Позже мы детальнее рассмотрим данную команду.

**Шаг 4.** Введите команду Docker login, чтобы войти в репозиторий Docker Hub из командной строки. Команда входа в Docker
запросит у вас имя пользователя и пароль для хранилища Docker Hub.

![](https://i.imgur.com/YJK55HR.jpg)

**Шаг 5.** После того как образ был привязан, пришло время отправить его в хранилище Docker Hub. Мы можем сделать это
с помощью команды Docker **push**.

Позже мы детальнее рассмотрим данную команду.

## docker tag

Данный метод позволяет привязать образ к соответствующему репозиторию.

```
docker tag imageID Repositoryname
```

- **imageID** — идентификатор образа, который необходимо привязать к репозиторию.
- **Repositoryname** — имя репозитория, к которому должен быть привязан идентификатор образа.

### Пример

```
sudo docker tag ab0c1d3744dd demousr/demorep:1.0
```

Пример вывода:

![](https://i.imgur.com/HNwS3sB.jpg)

## docker push

Данный метод позволяет передавать образы в Docker Hub.

```
docker push Repositoryname
```

- **Repositoryname** — имя репозитория, которое необходимо передать в Docker Hub

Вывод вернёт идентификатор репозитория, переданного в Docker Hub.

### Пример

```
sudo docker push demousr/demorep:1.0
```

Пример вывода:

![](https://i.imgur.com/0fYyya8.jpg)

Если вы вернётесь на Docker Hub и зайдёте в свой репозиторий, то увидите имя тега в репозитории.

![](https://i.imgur.com/XMl5mNb.jpg)

Теперь давайте попробуем передать репозиторий, который мы загрузили, на наш хост Docker. Первым делом удалим образы
**myimage:0.1** и **demousr/demorep:1.0** с локального хоста Docker. Воспользуемся командой Docker **pull**, чтобы
передать репозиторий из Docker Hub на наш хост.

![](https://i.imgur.com/CeeHgcZ.jpg)

На приведённом выше скриншоте видно, что команда Docker **pull** взяла наш новый репозиторий из Docker Hub и разместила
его на нашей машине.

Источник: [Docker — Public Repositories](https://www.tutorialspoint.com/docker/docker_public_repositories.htm)
