---
images:
  - /images/uploads/docker23.jpg
title: Настройка NGINX Docker
slug: настройка-nginx-docker
date: 2019-08-19T01:00:00+03:00
categories:
  - Docker
tags:
  - Курс молодого бойца Docker
draft: false
---

![](/images/uploads/docker23.jpg)

NGINX — это популярное легковесное (т.е. использующее небольшой объём оперативной памяти) приложение, которое используется
для разработки серверной части приложения. Это веб-сервер с открытым исходным кодом, разработанный для работы в различных
операционных системах. Поскольку **nginx** — это популярный веб-сервер для разработки, Docker также обеспечил поддержку
**nginx**.

Мы рассмотрим различные шаги для настройки и запуска контейнера Docker для **nginx**.

**Шаг 1.** Первым делом извлекаем образ из Docker Hub. Когда вы войдёте в свой аккаунт на Docker Hub, то сможете найти
образ **nginx**. Просто введите **nginx** в поле поиска и нажмите на ссылку **nginx** (official), которая появится
в результатах поиска.

![](https://i.imgur.com/osrKWMg.jpg)

**Шаг 2.** Вы увидите команду Docker **pull** в деталях хранилища на Docker Hub.

![](https://i.imgur.com/cd9B0KC.jpg)

**Шаг 3.** На хосте Docker используйте команду Docker **pull**, которая показана выше, чтобы загрузить последний образ
**nginx** из Docker Hub.

![](https://i.imgur.com/jXynYxL.jpg)

**Шаг 4.** Теперь запустим контейнер **nginx** с помощью следующей команды:

```
sudo docker run –p 8080:80 –d nginx
```

Выставляем порт на сервере **nginx** (по-умолчанию 80) на порт 8080 на хосте Docker.

![](https://i.imgur.com/3rnsOpD.jpg)

После запуска команды вы получите следующий вывод, если перейдёте по URL-адресу **http://dockerhost:8080**. Это означает,
что контейнер **nginx** настроен и запущен.

![](https://i.imgur.com/x47Zbvz.jpg)

**Шаг 5.** Давайте рассмотрим другой пример, в котором мы можем разместить простую веб-страницу в нашем контейнере **ngnix**.
В нашем примере, мы создадим простой HTML-файл с названием **HelloWorld.html** и разместим его в нашем контейнере **nginx**.

Первым делом создадим необходимый HTML-файл:

![](https://i.imgur.com/spDSg9E.jpg)

Заполним его несколькими простыми строчками:

![](https://i.imgur.com/5dhIzuG.jpg)

После чего запустим следующую команду Docker:

```
sudo docker run –p 8080:80 –v
    “$PWD”:/usr/share/nginx/html:ro –d nginx
```

Детальнее рассмотрим запрос выше:

- Выставляем порт на сервере **nginx** на порт 8080 на хосте Docker.
- Затем мы присоединяем том к контейнеру, располагающемуся по пути **/usr/share/nginx/html**, к нашему текущему рабочему
каталогу. Здесь хранится наш файл **HelloWorld.html**.

![](https://i.imgur.com/LRfkERS.jpg)

Теперь если мы перейдём по URL-адресу **http://dockerhost:8080/HelloWorld.html**, то получим следующий вывод, как и ожидалось:

![](https://i.imgur.com/PeylCAU.jpg)

Источник: [Docker — Setting NGINX](https://www.tutorialspoint.com/docker/docker_setting_nginx.htm)
