---
images:
  - /images/uploads/docker24.jpg
title: Панель управления Docker
slug: панель-управления-docker
date: 2019-08-27T00:00:00+03:00
categories:
  - Docker
tags:
  - Курс молодого бойца Docker
draft: false
---

![](/images/uploads/docker24.jpg)

Во вступительных главах мы рассмотрели установку панели управления Docker в Windows. Она разработана таким образом, чтобы
контейнеры Docker можно было запускать и в Windows, и в MacOS. Сайт с панелью управления Windows вы можете найти,
[перейдя по ссылке](https://docs.docker.com/docker-for-windows/).

![](https://i.imgur.com/OF60ORh.jpg)

Для установки в Windows, вам необходимы Windows 10 или Windows Server 2016 с включённым Hyper-V.

Панель управления состоит из следующих компонентов:

- **Docker Engine** — используется как базовый движок или демон Docker для запуска контейнеров Docker.
- **Docker Machine** — используется для запуска machine-команд Docker.
- **Docker Compose** — используется для запуска compose-команд Docker.
- **Kitematic** — графический интерфейс Docker, созданный для Windows и Mac OS.
- **Oracle virtualbox**

Давайте рассмотрим различные типы действий, которые возможны с помощью панели управления Docker.

## Запуск в Powershell

С помощью панели управления Docker в Windows 10 теперь вы можете запускать команды Docker с помощью powershell. Если вы
откроете powershell в Windows и введете команду **docker version**, вы получите все необходимые сведения об установленной
версии Docker.

![](https://i.imgur.com/EQmlV9r.jpg)

## Извлечение образов и запуск контейнеров

Теперь вы также можете извлекать образы из Docker Hub и запускать контейнеры в powershell, как в Linux. Следующий пример
вкратце покажет загрузку образа Ubuntu и запуск контейнера из образа.

Первым делом воспользуйтесь командой **pull** Docker для извлечения образа Ubuntu c Docker Hub.

![](https://i.imgur.com/lZ34Hl6.jpg)

Далее запустите образ Docker при помощи команды **run**:

```
docker run –it ubuntu /bin/bash
```

Вы заметите, что команда такая же, как и в Linux.

![](https://i.imgur.com/EqfKxvs.jpg)

## Kitematic

Это эквивалент GUI Docker в Windows. Чтобы открыть этот графический интерфейс, перейдите на панель задач и щелкните
правой кнопкой мыши по значку Docker, затем выберите “Open Kitematic”.

![](https://i.imgur.com/zbZJcnE.jpg)

Он предложит вам скачать графический интерфейс Kitematic. После загрузки просто распакуйте содержимое. Там будет файл
с именем **Kitematic.exe**. Дважды щелкните по этому исполняемому файлу, чтобы открыть графический интерфейс.

Затем вам будет предложено войти в Docker Hub — войдите через GUI. Просто введите имя пользователя и пароль, а затем
нажмите кнопку «Log In».

![](https://i.imgur.com/bYfJMsZ.jpg)

После того как вы вошли в свой аккаунт, вы увидите все образы, загруженные в систему, в левой части интерфейса.

![](https://i.imgur.com/pxtSvpy.jpg)

В правой части вы увидите все образы, доступные на Docker Hub.

Чтобы понять, как загружать образы Docker, рассмотрим небольшой пример, в котором мы загрузим образ Node из Docker Hub
при помощи Kitematic.

**Шаг 1.** Введите node в поисковой строке.

![](https://i.imgur.com/ZcvJVKF.jpg)

**Шаг 2.** Нажмите кнопку “**create**” на официальном образе Node. После чего вы увидите, что образ начал загружаться.

![](https://i.imgur.com/v28vAvS.jpg)

Как только образ будет загружен — запустится контейнер Node.

![](https://i.imgur.com/Kc7DL1z.jpg)

**Шаг 3.** Если вы перейдёте на вкладку **settings**, то можете перейти к дополнительным параметрам настроек,
как показано ниже.

- **General settings** — в этой вкладке вы можете указать имя контейнера, изменить параметры пути, а также удалить его.

![](https://i.imgur.com/5idMEN9.jpg)

- **Ports** — Здесь вы можете увидеть различные сопоставления портов. Вы также можете создать свои собственные
сопоставления портов.

![](https://i.imgur.com/cfE6JjA.jpg)

- **Volumes** — Здесь вы можете увидеть различные сопоставления томов.

![](https://i.imgur.com/amifemr.jpg)

- **Advanced** — содержит расширенные настройки для контейнера.

![](https://i.imgur.com/5ul7AK9.jpg)

Источник: [Docker — Toolbox](https://www.tutorialspoint.com/docker/docker_toolbox.htm)
