---
images:
  - /images/uploads/11.jpg
title: Что такое PostgreSQL?
slug: что-такое-postgresql
date: 2019-07-09T00:00:00+03:00
categories:
  - Базы данных
  - PostgreSQL
tags:
  - Курс молодого бойца PostgreSQL
draft: false
---

![](/images/uploads/11.jpg)

Данная статья относится к циклу статей, посвященных PostgreSQL. В ней вы узнаете о PostgreSQL и функциях, которые выделяют
PostgreSQL среди других систем управления базами данных.

## Что такое PostgreSQL

Давайте начнем с простого вопроса: что такое PostgreSQL?

PostgreSQL — это универсальная объектно-реляционная система управления базами данных, самая совершенная система баз данных
с открытым исходным кодом. PostgreSQL был разработан на основе [POSTGRES 4.2](http://db.cs.berkeley.edu/postgres.html)
на [факультете информатики калифорнийского университета в Беркли](https://www.cs.berkeley.edu/).

PostgreSQL был разработан для работы на UNIX-подобных платформах. Тем не менее PostgreSQL также был разработан переносным,
что позволяет ему работать на различных платформах, таких как Mac OS X, Solaris и Windows.

PostgreSQL — это бесплатное программное обеспечение с открытым исходным кодом. Его исходный код доступен под лицензией
PostgreSQL, свободной лицензией с открытым исходным кодом. Вы можете свободно использовать, модифицировать и распространять
PostgreSQL в любой форме.

PostgreSQL требует минимальных усилий для его поддержки благодаря своей стабильности. Поэтому, если вы разрабатываете
приложение на основе PostgreSQL, общая стоимость владения будет низкой по сравнению с другими системами управления базами данных.

## Основные возможности PostgreSQL

PostgreSQL имеет много продвинутых функций, которые предлагают другие корпоративные системы управления базами данных,
такие как:

- Пользовательские типы
- Табличное наследование
- Продвинутый механизм блокировки
- Ссылочная целостность внешнего ключа
- Представления, правила, подзапросы
- Вложенные транзакции (точки сохранения)
- Управление параллельным доступом с помощью многоверсионности
- Асинхронная репликация

Последние версии PostgreSQL поддерживают следующие функции:

- Нативная версия для Microsoft Windows Server
- Табличные пространства
- Восстановление на определенный момент времени

И всё больше новых функций добавляются в каждом новом выпуске.

## Что выделяет PostgreSQL

PostgreSQL — это первая система управления базами данных, в которой реализовано управление параллельным доступом с
помощью многоверсионности (MVCC), даже до Oracle. Функция MVCC известна как изоляция моментальных снимков в Oracle.

PostgreSQL — это система управления объектно-реляционными базами данных общего назначения. Она позволяет добавлять
пользовательские функции, разработанные с использование разных языков программирования, таких как C/C++, Java и т.д.

PostgreSQL создан расширяемым, что позволяет определять свои собственные типы данных, типы индексов, функциональные
языки и т.д. Если вам не нравится какая-либо часть системы, вы всегда можете разработать собственный плагин, чтобы
улучшить её в соответствии с вашими требованиями, например, добавив новый оптимизатор.

Если вам нужна поддержка, может помочь активное сообщество. Вы всегда можете найти ответы сообщества PostgreSQL на вопросы,
которые могут возникнуть при работе с PostgreSQL. Многие компании предлагают коммерческую поддержку в случае необходимости.

## Кто использует PostgreSQL

Многие компании создали продукты и решения с использованием PostgreSQL. Среди них Apple, Fujitsu, Red Hat, Cisco,
Juniper Network и т.д.

Первоначальное имя PostgreSQL — Postgres, поэтому иногда PostgreSQL называют Postgres.

Мы рады, что вы выбрали PostgreSQL. В следующей статье мы [загрузим и установим PostgreSQL](https://itdoxy.com/установка-postgresql/),
чтобы начать его изучение.

Источник: [PostgreSQL Tutorial from Scratch](http://www.postgresqltutorial.com/)
