---
images:
  - /images/uploads/SQL5.jpg
title: Загрузка базы данных PostgreSQL
slug: загрузка-базы-данных-postgresql
date: 2019-07-10T03:00:00+03:00
categories:
  - Базы данных
  - PostgreSQL
tags:
  - Курс молодого бойца PostgreSQL
draft: false
---

![](/images/uploads/SQL5.jpg)

Данная статья относится к циклу статей, посвященных PostgreSQL. В предыдущей статье мы познакомили вас с
[примером базы данных PostgreSQL](https://itdoxy.com/пример-базы-данных-postgresql/). Теперь мы покажем вам,
как загрузить пример базы данных PostgreSQL.

Прежде чем приступить к уроку, у вас должны быть установлены:

- Сервер базы данных PostgreSQL. Если же такового нет, то воспользуйтесь [пошаговым руководством по установке](https://itdoxy.com/установка-postgresql/).
- [База данных “DVD проката”](https://itdoxy.com/пример-базы-данных-postgresql/).

## Создание новой базы данных “DVD проката”

Прежде чем загружать схему базы данных и заполнять её данными, вам необходимо создать новую базу данных на сервере
PostgreSQL. Для этого выполните несколько простых пунктов.

Во-первых, запустите инструмент **_psql_**.

![](https://i.imgur.com/KKFIj6r.png)

Во-вторых, введите данные учётной записи, чтобы войти на сервер баз данных PostgreSQL. Вы можете воспользоваться
значениями, предлагаемыми psql по-умолчанию, просто нажав **_Enter_** на клавиатуре. Однако, вам понадобится пароль,
который вы указали во время [установки PostgreSQL](https://itdoxy.com/установка-postgresql/).

```
Server [localhost]:
Database [postgres]:
Port [5432]:
Username [postgres]:
Password for user postgres:
```

В-третьих, введите следующий оператор **_CREATE DATABASE_** для создания новой базы данных **_dvdrental_**.

```
CREATE DATABASE dvdrental;
```

PostgreSQL создаст новую базу данных под названием **_dvdrental_**.

## Загрузка базы данных “DVD проката” с помощью инструмента psql

Первым делом разархивируйте и скопируйте файл базы данных “DVD проката” в папку, например, **_c:\dvdrental\dvdrental.tar_**

Затем запустите **_Command Prompt_** (Командную Строку). Зажмите сочетание клавиш **_Windows + R_**, введите **_cmd_**
и нажмите **_Enter_** на клавиатуре:

![](https://i.imgur.com/I9beBpK.png)

Командная строка будет выглядеть следующим образом:

![](https://i.imgur.com/oOgUsw5.png)

Затем перейдите в папку **_bin_** корневого каталога PostgreSQL:

```
C:\>cd C:\Program Files\PostgreSQL\11\bin
```

После чего используйте инструмент **_pg_restore_**, чтобы загрузить данные в базу данных **_dvdrental_**:

![](https://i.imgur.com/QFSoCGz.png)

```
pg_restore -U postgres -d dvdrental C:\dvdrental\dvdrental.tar
```

В этой команде:

- **_-U postgres_** указывает пользователя **_postgres_** для входа на сервер базы данных PostgreSQL;
- **_-d dvdrental_** указывает целевую базу данных для загрузки.

Наконец, введите пароль для пользователя **_postgres_** и нажмите Enter

```
Password:
```

Загрузка данных, хранящихся в файле **_dvdrental.tar_**, в базу данных **_dvdrental_** займет всего несколько секунд.

## Загрузка базы данных “DVD проката” через pgAdmin

Вы можете использовать инструмент pgAdmin для восстановления образца базы данных из загруженного файла базы данных,
выполнив следующие шаги:

Первым делом запустите инструмент **_pgAdmin_** и подсоединитесь к серверу PostgreSQL.

Затем щёлкните правой кнопкой мыши по базе данных **_dvdrental_** и выберите пункт меню **_Restore…_**, как показано
на картинке ниже:

![](https://i.imgur.com/9B5IONq.png)

Затем укажите путь к файлу базы данных, например, **_c:\dvdrental\dvdrental.tar_** и нажмите кнопку **_Restore_**.

![](https://i.imgur.com/IS4oosn.png)

После чего подождите несколько секунд, пока процесс восстановления не завершится.

Наконец, откройте базу данных **_dvdrental_** из панели браузера объектов, в ветке **_public_** вы увидите таблицы
и другие объекты базы данных, как показано на картинке ниже:

![](https://i.imgur.com/7IotZi8.png)

Мы показали вам как загрузить образец базы данных **_dvdrental_** на сервер PostgreSQL. Вы можете использовать это
в своём дальнейшем ознакомлении с PostgreSQL. В следующий раз мы расскажем вам о [серверных объектах и объектах базы данных](https://itdoxy.com/объекты-postgresql-сервера-и-базы-данных/).

Источник: [PostgreSQL Tutorial from Scratch](http://www.postgresqltutorial.com/)
