---
images:
  - /images/uploads/SQL3.jpg
title: Подключение к серверу базы данных PostgreSQL
slug: подключение-к-серверу-базы-данных-postgresql
date: 2019-07-10T01:00:00+03:00
categories:
  - Базы данных
  - PostgreSQL
tags:
  - Курс молодого бойца PostgreSQL
draft: false
---

![](/images/uploads/SQL3.jpg)

Данная статья относится к циклу статей, посвященных PostgreSQL. В предыдущей статье мы узнали о том,
[как установить PostgreSQL](https://itdoxy.com/установка-postgresql/) для изучения и практики в вашей локальной системе.
Теперь мы покажем вам, как подключиться к серверу баз данных PostgreSQL.

После того как вы установили сервер базы данных PostgreSQL, установщик также установил некоторые полезные инструменты
для работы с сервером баз данных PostgreSQL. Вы можете подключиться к серверу с помощью терминальной программы _psql_
или инструмента _pgAdmin_.

## Подключение к серверу баз данных PostgreSQL через psql

psql — это интерактивная терминальная программа, предоставляемая PostgreSQL. Она позволяет вам взаимодействовать
с сервером баз данных PostgreSQL, например, выполнять операторы SQL и управлять объектами баз данных.

Следующие шаги показывают, как подключиться к серверу баз данных PostgreSQL через программу psql:

Во-первых, запустите программу **_psql_** и подключитесь к PostgreSQL Database Server с помощью пользователя **_postgres_**,
нажав на иконку psql, как показано ниже:

![](https://i.imgur.com/UglMAfP.png)

Во-вторых, введите необходимую информацию, такую как сервер, база данных, порт, имя пользователя и пароль. Нажмите Enter,
чтобы принять значения по-умолчанию. В любом случае вам нужно ввести пароль, который вы указали во время [установки](https://itdoxy.com/установка-postgresql/).

![](https://i.imgur.com/4wGE4sU.png)

В-третьих, попробуйте повзаимодействовать с сервером баз данных PostgreSQL при помощи операторов SQL. Для этого вы можете
воспользоваться следующим оператором:

```
SELECT version();
```

![](https://i.imgur.com/nQeclyN.png)

Пожалуйста, не забудьте завершить команду точкой с запятой (;). После нажатия **_Enter_**, psql вернёт текущую версию
PostgreSQL, установленную в вашей системе.

## Подключение к серверу PostgreSQL через pgAdmin

Вторым способом подключения к базе данных является использование приложения pgAdmin, благодаря которому вы можете
взаимодействовать с сервером баз данных PostgreSQL через интуитивно понятный пользовательский интерфейс.

Далее мы покажем, как подключиться к базе данных, используя приложение с графическим интерфейсом pgAdmin.

Во-первых, запустите приложение pgAdmin.

![](https://i.imgur.com/jZEfVJh.png)

Приложение pgAdmin 4 будет запущено в веб-браузере, как показано на картинке ниже:

![](https://i.imgur.com/pBlUCOw.png)

Во-вторых, для создания сервера, щёлкните правой кнопкой мыши по узлу Servers и выберите меню **_Create > Server…_**

![](https://i.imgur.com/2aGFhNq.png)

В-третьих, введите имя сервера, например, **_PostgreSQL_** и нажмите на вкладку **_Connection_**:

![](https://i.imgur.com/CuaGasd.png)

В-четвёртых, введите имя хоста и пароль для пользователя **_postgres_**, после чего щёлкните по кнопке **_Save_**:

![](https://i.imgur.com/XtfwYVd.png)

В-пятых, щёлкните по узлу Servers, чтобы открыть иерархию сервера. Изначально, PostgreSQL содержит базу данных, которая
называется postgres, как показано ниже:

![](https://i.imgur.com/Oyhs84F.png)

В-шестых, откройте инструмент запросов, выбрав пункт меню **_Tool > Query Tool_** или нажав на иконку молнии.

![](https://i.imgur.com/ZEjXwT0.png)

В-седьмых, введите запрос в **_Query Editor_**, затем нажмите на кнопку **_Execute_**, после чего вы увидите результат
запроса, отображающийся во вкладке **_DataOutput_**:

![](https://i.imgur.com/MjFLiQV.png)

## Подключение к серверу баз данных PostgreSQL через другие приложения

Любое приложение, поддерживающее ODBC или JDBC, может подключиться к серверу баз данных PostgreSQL. К тому же, если вы
разрабатываете приложение, которое использует соответствующий драйвер, оно также сможет подключиться к серверу
баз данных PostgreSQL.

Замечательно! Вы научились подключаться к серверу баз данных PostgreSQL, используя различные клиентские инструменты,
такие как psql и pgADMIN. Следующим шагом мы ознакомимся с [примером базы данных PostgreSQL](https://itdoxy.com/пример-базы-данных-postgresql/),
которую вы сможете использовать для изучения и практики.

Источник: [PostgreSQL Tutorial from Scratch](http://www.postgresqltutorial.com/)
