---
images:
  - /images/uploads/SQL4.jpg
title: Пример базы данных PostgreSQL
slug: пример-базы-данных-postgresql
date: 2019-07-10T02:00:00+03:00
categories:
  - Базы данных
  - PostgreSQL
tags:
  - Курс молодого бойца PostgreSQL
draft: false
---

![](/images/uploads/SQL4.jpg)

Данная статья относится к циклу статей, посвященных PostgreSQL. В предыдущей статье мы узнали о том, как
[подключиться к серверу баз данных PostgreSQL](https://itdoxy.com/подключение-к-серверу-базы-данных-postgresql/).
Теперь мы познакомим вас с примером базы данных PostgreSQL.

Для демонстрации возможностей PostgreSQL мы будем использовать базу данных “DVD проката”.

База данных “DVD проката” представляет бизнес-процессы магазина проката DVD. Она \[база данных] имеет много объектов,
включая:

- 15 таблиц
- 1 триггер
- 7 представлений
- 8 функций
- 1 домен
- 13 последовательностей

Модель ER “DVD проката”

![](https://i.imgur.com/jXTuLfU.png)

## Пример таблиц базы данных PostgreSQL

В базе данных “DVD проката” имеется 15 таблиц:

- actor — хранит данные об актёрах, включая их имя и фамилию.
- film — хранит данные о фильмах, включая их название, год выпуска, время, рейтинг и т.д.
- film_actor — хранит отношения между фильмами и актёрами.
- category — хранит данные о жанрах фильмов.
- film_category -хранит отношения между фильмами и жанрами.
- store — содержит данные магазина, включая данные о менеджере и адресе.
- inventory — хранит данные инвентаризации.
- rental — хранит данные об аренде.
- payment — хранит платежи клиента.
- staff — хранит данные персонала.
- customer — хранит данные покупателей.
- address — хранит адресные данные для сотрудников и клиентов.
- city — хранит названия городов.
- country — хранит названия стран.

## Загрузка примера базы данных PostgreSQL

Вы можете скачать пример базы данных “DVD проката” по следующей ссылке:

[Образец базы данных «DVD проката»](http://www.postgresqltutorial.com/wp-content/uploads/2019/05/dvdrental.zip)

Файл базы данных имеет формат zip (dvdrental.zip), поэтому вам необходимо извлечь его в dvdrental.tar перед
[загрузкой примера базы данных на сервер PostgreSQL](https://itdoxy.com/загрузка-базы-данных-postgresql/).

## Загрузка схемы ER

Помимо примера базы данных, мы также предоставляем схему ER (версия для печати) в формате PDF. Вы можете загрузить и
распечатать схему ER для справки во время изучения PostgreSQL:

[Схема ER](http://www.postgresqltutorial.com/wp-content/uploads/2018/03/printable-postgresql-sample-database-diagram.pdf)

Итак, в данной статье вы ознакомились с примером базы данных “DVD проката” PostgreSQL. Мы будем использовать эту
базу данных в наших следующих руководствах по PostgreSQL, поэтому убедитесь, что она установлена на вашем сервере.
Самое время переходить к [загрузке базы данных PostgreSQL](https://itdoxy.com/загрузка-базы-данных-postgresql/).

Источник: [PostgreSQL Tutorial from Scratch](http://www.postgresqltutorial.com/)
