---
images:
  - /images/uploads/SQL6.jpg
title: Объекты PostgreSQL сервера и базы данных
slug: объекты-postgresql-сервера-и-базы-данных
date: 2019-07-11T00:00:00+03:00
categories:
  - Базы данных
  - PostgreSQL
tags:
  - Курс молодого бойца PostgreSQL
draft: false
---

![](/images/uploads/SQL6.jpg)

В предыдущей статье мы показали вам, как [загрузить пример базы данных PostgreSQL](https://itdoxy.com/загрузка-базы-данных-postgresql/).
В этом руководстве вы познакомитесь с наиболее распространенными объектами сервера и базы данных PostgreSQL. Важно знать
эти объекты и их функциональность, чтобы не упустить интересные функции, которые вы, возможно, хотели бы иметь в системе.

После [установки PostgreSQL](https://itdoxy.com/установка-postgresql/), [загрузки примера базы данных](https://itdoxy.com/загрузка-базы-данных-postgresql/)
и [подключения к серверу базы данных](https://itdoxy.com/подключение-к-серверу-базы-данных-postgresql/), с помощью графического
интерфейса pgAdmin, вы увидите, что PostgreSQL предоставляет множество объектов сервера и базы данных. Чтобы эффективно
использовать возможности каждого объекта, вы должны хорошо понимать, что из себя представляет каждый из них и как его
эффективно использовать.

Давайте познакомимся с этими объектами PostgreSQL.

## Серверная служба

При установке PostgreSQL у вас будет соответствующая служба сервера. Она также известна как сервер PostgreSQL. Вы можете
установить несколько серверов PostgreSQL на физический сервер, используя разные порты и расположения мест для хранения данных.

## Базы данных

База данных — это контейнер для других объектов, таких как таблицы, представления, функции и индексы. На сервере
PostgreSQL вы можете создать столько баз данных, сколько захотите.

![](https://www.postgresqltutorial.com/wp-content/uploads/2019/05/postgresql-databases.png)

## Таблицы

Таблицы используются для хранения данных. Вы можете иметь много таблиц в базе данных. Особенностью PostgreSQL является
табличное наследование. Значения дочерней таблицы могут наследоваться от другой, родительской таблицы, поэтому при запросе
данных из дочерней таблицы также отображаются данные из родительской.

![](https://www.postgresqltutorial.com/wp-content/uploads/2019/05/postgresql-tables.png)

## Схемы

Схема — это логический контейнер таблиц и других объектов внутри базы данных. Каждая база данных PostgreSQL может иметь
несколько схем. Важно отметить, что схемы являются частью стандарта ANSI-SQL.

![](https://www.postgresqltutorial.com/wp-content/uploads/2019/05/postgresql-schema.png)

## Табличные пространства

Табличное пространство — это место, где PostgreSQL хранит данные. Табличное пространство PostgreSQL позволяет легко
перемещать данные в разные физически места с помощью простых команд. По умолчанию PostgreSQL предоставляет два табличных
пространства: **pg_default** для хранения пользовательских данных и **pg_global** для хранения системных данных.

![](https://www.postgresqltutorial.com/wp-content/uploads/2019/05/postgresql-tablespace.png)

## Представления

Представление — это виртуальная таблица, которая используется для упрощения сложных запросов и обеспечения безопасности
для набора записей. PostgreSQL также предоставляет вам обновляемые представления.

![](https://www.postgresqltutorial.com/wp-content/uploads/2019/05/postgresql-views.png)

## Функции

Функция — это многократно используемый блок кода SQL, который возвращает скалярное значение списка записей. В PostgreSQL
функции также могут возвращать составные объекты.

![](https://www.postgresqltutorial.com/wp-content/uploads/2019/05/postgresql-functions.png)

## Операторы

Операторы являются символическими функциями. PostgreSQL также позволяет вам определять пользовательские операторы.

## Приведения

Приведения позволяют вам преобразовать один тип данных в другой. Приведения фактически осуществляются за счет специальных
функций для выполнения преобразований. Вы также можете создать свои собственные преобразования, чтобы переопределить
приведение предоставляемое PostgreSQL по умолчанию.

## Последовательности

Последовательности используются для управления столбцами с автоинкрементом, которые определены в таблице, как **SERIAL**.

![](https://www.postgresqltutorial.com/wp-content/uploads/2019/05/postgresql-sequence.png)

## Расширения

Начиная с версии 9.1, PostgreSQL ввел концепцию расширений для объединения в один модуль других объектов, включая типы,
приведения, индексы, функции и т.д. Цель расширений — облегчить поддержку.

![](https://www.postgresqltutorial.com/wp-content/uploads/2019/05/postgresql-extension.png)

В этом руководстве мы познакомили вас с наиболее распространенными объектами баз данных и серверов PostgreSQL. Уделите
время изучению этих объектов, чтобы иметь представление о них, прежде чем перейти к следующему уроку, в которым вы узнаете,
как использовать [базовый оператор PostgreSQL **SELECT**](https://itdoxy.com/оператор-postgresql-select/) для запроса данных из таблицы.

Источник: [PostgreSQL Tutorial from Scratch](http://www.postgresqltutorial.com/)
