---
images:
  - /images/uploads/SEO2.jpg
title: Что такое SEO?
slug: что-такое-seo
date: 2019-09-26T01:00:00+03:00
categories:
  - SEO
tags:
  - Курс молодого бойца SEO
draft: false
---

![](/images/uploads/SEO2.jpg)

SEO расшифровывается как “оптимизация поиска” и отвечает за оптимизацию сайта для поисковых систем. Зачастую SEO
используется для следующих задач:

- проектирование и разработка веб-сайта для получения высокого рейтинга в результатах поиска;
- улучшение объема и качества трафика на сайт из поисковых систем;
- понимание того, как работают алгоритмы поиска и что могут искать посетители.

SEO является подмножеством поискового маркетинга, его ещё называют SEO-копирайтингом, потому что большинство методов,
использующихся для продвижения сайтов в поисковых системах, работают с текстом.

Прежде чем приступать к изучению SEO — важно, чтобы вы понимали, как работают поисковые системы.

## Как работают поисковые системы?

Поисковые системы выполняют несколько действий для предоставления результатов поиска.

- **Краулинг** (англ. **crawling**) — процесс выборки всех веб-страниц, связанных с веб-сайтом. Эта задача выполняется
программным обеспечением, называемым **сканером** или **пауком** (или Googlebot, в случае Google).
- **Индексация** (англ. **indexing**) — процесс создания индекса для всех извлеченных веб-страниц и хранения их в гигантской
базе данных, из которой она \[страница] может быть впоследствии получена.
- **Обработка** (англ. **processing**) — когда приходит запрос на поиск, поисковая система обрабатывает его, то есть
сравнивает строку поиска в запросе поиска с проиндексированными страницами в базе данных.
- **Расчёт Релевантности** (англ. **calculating relevance**) — строку поиска содержат множество страниц, поэтому поисковая
система начинает вычислять релевантность каждой из страниц в своем индексе для строки поиска.
- **Получение результатов** (англ. **retrieving results**) — является последним шагом в работе поисковой системы. По сути,
- это отображение наиболее подходящих результатов в браузере.

Поисковые системы, такие как Google и Yahoo! обновляют свои алгоритмы релевантности десятки раз в месяц. Если вы видите
изменения в рейтингах своего сайта, это происходит из-за алгоритмического сдвига или чего-то еще от вас не зависящего.

Хотя основной принцип работы всех поисковых систем одинаков, незначительные различия между их алгоритмами релевантности
приводят к серьезным изменениям релевантности результатов.

## Что такое SEO-копирайтинг?

Так называют технику написания видимого текста на веб-странице таким образом, чтобы он хорошо читался для пользователя,
а также предназначался для определённых поисковых терминов. Целью SEO-копирайтинга является получение высоких рейтингов
в поисковых системах для целевых поисковых терминов.

Наряду с просматриваемым текстом, SEO-копирайтинг обычно оптимизирует другие элементы на странице для целевых поисковых
терминов. К ним относятся заглавие, описание, ключевые слова, заголовки и альтернативный текст.

Идея, лежащая в основе SEO-копирайтинга, заключается в том, что поисковым системам нужны подлинные страницы с контентом,
а не дополнительные, часто называемые «doorway pages» (сайты, созданные для перенаправления пользователей на другой
интернет-ресурс).

## Что такое рейтинг поисковой системы?

Когда вы ищете любое ключевое слово с помощью поисковой системы, она отображает тысячи результатов, найденных в базе данных.
Рейтинг страницы измеряется положением веб-страниц, отображаемых в результатах поиска. Если поисковая система ставит вашу
веб-страницу на первую позицию, тогда ваш веб-рейтинг будет 1, то есть будет считаться страницей с самым высоким рейтингом.

## Что такое On-Page и Off-Page SEO?

Концептуально, существует лишь два пути оптимизации:

- **Внутренняя оптимизация сайта** (англ. **On-Page SEO**) — включает в себя предоставление хорошего контента, хороший
выбор ключевых слов, размещение ключевых слов в правильных местах, а также присвоение соответствующего заголовка каждой
странице.
- **Внешняя оптимизация сайта** (англ. **Off-Page SEO**) — включает в себя создание ссылок, и повышение их популярности
путём отправки открытых каталогов, обмена ссылками и т.д.

Источник: [SEO — What is SEO?](https://www.tutorialspoint.com/seo/what-is-seo.htm)
